#include <qtopengl_includes.h>

#include <smoke.h>
#include <qtopengl_smoke.h>

namespace __smokeqtopengl {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //QActionEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QActionEvent*)xptr;
        case 1: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 2:   //QBool
      switch(to) {
        case 2: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 3:   //QByteArray
      switch(to) {
        case 3: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 4:   //QChildEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 4: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 5:   //QCloseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QCloseEvent*)xptr;
        case 5: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 6:   //QColor
      switch(to) {
        case 6: return (void*)(QColor*)xptr;
        default: return xptr;
      }
    case 7:   //QContextMenuEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
        case 7: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 8:   //QDebug
      switch(to) {
        case 8: return (void*)(QDebug*)xptr;
        default: return xptr;
      }
    case 9:   //QDragEnterEvent
      switch(to) {
        case 11: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
        case 12: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
        case 9: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QDragLeaveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
        case 10: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 11:   //QDragMoveEvent
      switch(to) {
        case 12: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
        case 13: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
        case 11: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QDropEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QDropEvent*)xptr;
        case 12: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 13:   //QEvent
      switch(to) {
        case 13: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 14:   //QFocusEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QFocusEvent*)xptr;
        case 14: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 15:   //QFont
      switch(to) {
        case 15: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 17:   //QGLBuffer
      switch(to) {
        case 17: return (void*)(QGLBuffer*)xptr;
        default: return xptr;
      }
    case 18:   //QGLColormap
      switch(to) {
        case 18: return (void*)(QGLColormap*)xptr;
        default: return xptr;
      }
    case 19:   //QGLContext
      switch(to) {
        case 19: return (void*)(QGLContext*)xptr;
        default: return xptr;
      }
    case 20:   //QGLFormat
      switch(to) {
        case 20: return (void*)(QGLFormat*)xptr;
        default: return xptr;
      }
    case 21:   //QGLFramebufferObject
      switch(to) {
        case 38: return (void*)(QPaintDevice*)(QGLFramebufferObject*)xptr;
        case 21: return (void*)(QGLFramebufferObject*)xptr;
        default: return xptr;
      }
    case 22:   //QGLFramebufferObjectFormat
      switch(to) {
        case 22: return (void*)(QGLFramebufferObjectFormat*)xptr;
        default: return xptr;
      }
    case 23:   //QGLPixelBuffer
      switch(to) {
        case 38: return (void*)(QPaintDevice*)(QGLPixelBuffer*)xptr;
        case 23: return (void*)(QGLPixelBuffer*)xptr;
        default: return xptr;
      }
    case 24:   //QGLShader
      switch(to) {
        case 37: return (void*)(QObject*)(QGLShader*)xptr;
        case 24: return (void*)(QGLShader*)xptr;
        default: return xptr;
      }
    case 25:   //QGLShaderProgram
      switch(to) {
        case 37: return (void*)(QObject*)(QGLShaderProgram*)xptr;
        case 25: return (void*)(QGLShaderProgram*)xptr;
        default: return xptr;
      }
    case 26:   //QGLWidget
      switch(to) {
        case 62: return (void*)(QWidget*)(QGLWidget*)xptr;
        case 37: return (void*)(QObject*)(QGLWidget*)xptr;
        case 38: return (void*)(QPaintDevice*)(QGLWidget*)xptr;
        case 26: return (void*)(QGLWidget*)xptr;
        default: return xptr;
      }
    case 28:   //QHideEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QHideEvent*)xptr;
        case 28: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 29:   //QImage
      switch(to) {
        case 38: return (void*)(QPaintDevice*)(QImage*)xptr;
        case 29: return (void*)(QImage*)xptr;
        default: return xptr;
      }
    case 30:   //QIncompatibleFlag
      switch(to) {
        case 30: return (void*)(QIncompatibleFlag*)xptr;
        default: return xptr;
      }
    case 31:   //QInputMethodEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
        case 31: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 32:   //QKeyEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QKeyEvent*)xptr;
        case 32: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 33:   //QMatrix4x4
      switch(to) {
        case 33: return (void*)(QMatrix4x4*)xptr;
        default: return xptr;
      }
    case 34:   //QMetaObject
      switch(to) {
        case 34: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 35:   //QMouseEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMouseEvent*)xptr;
        case 35: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QMoveEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QMoveEvent*)xptr;
        case 36: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 37:   //QObject
      switch(to) {
        case 37: return (void*)(QObject*)xptr;
        case 25: return (void*)(QGLShaderProgram*)(QObject*)xptr;
        case 26: return (void*)(QGLWidget*)(QObject*)xptr;
        case 24: return (void*)(QGLShader*)(QObject*)xptr;
        default: return xptr;
      }
    case 38:   //QPaintDevice
      switch(to) {
        case 38: return (void*)(QPaintDevice*)xptr;
        case 21: return (void*)(QGLFramebufferObject*)(QPaintDevice*)xptr;
        case 26: return (void*)(QGLWidget*)(QPaintDevice*)xptr;
        case 23: return (void*)(QGLPixelBuffer*)(QPaintDevice*)xptr;
        default: return xptr;
      }
    case 39:   //QPaintEngine
      switch(to) {
        case 39: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 40:   //QPaintEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QPaintEvent*)xptr;
        case 40: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QPalette
      switch(to) {
        case 41: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 42:   //QPixmap
      switch(to) {
        case 38: return (void*)(QPaintDevice*)(QPixmap*)xptr;
        case 42: return (void*)(QPixmap*)xptr;
        default: return xptr;
      }
    case 43:   //QPoint
      switch(to) {
        case 43: return (void*)(QPoint*)xptr;
        default: return xptr;
      }
    case 44:   //QPointF
      switch(to) {
        case 44: return (void*)(QPointF*)xptr;
        default: return xptr;
      }
    case 45:   //QRect
      switch(to) {
        case 45: return (void*)(QRect*)xptr;
        default: return xptr;
      }
    case 46:   //QRectF
      switch(to) {
        case 46: return (void*)(QRectF*)xptr;
        default: return xptr;
      }
    case 47:   //QRegExp
      switch(to) {
        case 47: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 48:   //QResizeEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QResizeEvent*)xptr;
        case 48: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QShowEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QShowEvent*)xptr;
        case 49: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 50:   //QSize
      switch(to) {
        case 50: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 51:   //QSizeF
      switch(to) {
        case 51: return (void*)(QSizeF*)xptr;
        default: return xptr;
      }
    case 52:   //QStyle
      switch(to) {
        case 37: return (void*)(QObject*)(QStyle*)xptr;
        case 52: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 53:   //QTabletEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTabletEvent*)xptr;
        case 53: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QTextCodec
      switch(to) {
        case 54: return (void*)(QTextCodec*)xptr;
        default: return xptr;
      }
    case 55:   //QTimerEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 55: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QTransform
      switch(to) {
        case 56: return (void*)(QTransform*)xptr;
        default: return xptr;
      }
    case 57:   //QVariant
      switch(to) {
        case 57: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 58:   //QVector2D
      switch(to) {
        case 58: return (void*)(QVector2D*)xptr;
        default: return xptr;
      }
    case 59:   //QVector3D
      switch(to) {
        case 59: return (void*)(QVector3D*)xptr;
        default: return xptr;
      }
    case 60:   //QVector4D
      switch(to) {
        case 60: return (void*)(QVector4D*)xptr;
        default: return xptr;
      }
    case 61:   //QWheelEvent
      switch(to) {
        case 13: return (void*)(QEvent*)(QWheelEvent*)xptr;
        case 61: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 62:   //QWidget
      switch(to) {
        case 37: return (void*)(QObject*)(QWidget*)xptr;
        case 38: return (void*)(QPaintDevice*)(QWidget*)xptr;
        case 62: return (void*)(QWidget*)xptr;
        case 26: return (void*)(QGLWidget*)(QWidget*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    38, 0,	// 1: QPaintDevice
    37, 0,	// 3: QObject
    62, 0,	// 5: QWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLBuffer(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLContext(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLShader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFramebufferObject(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGLFormat(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGL(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_QGL(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLColormap(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLContext(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObject(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLFramebufferObjectFormat(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLPixelBuffer(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShader(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLShaderProgram(Smoke::Index, void*, Smoke::Stack);
void xcall_QGLWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//1
    { "QBool", true, 0, 0, 0, 0, 0 },	//2
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//3
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//4
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//5
    { "QColor", true, 0, 0, 0, 0, 0 },	//6
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//7
    { "QDebug", true, 0, 0, 0, 0, 0 },	//8
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//11
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//12
    { "QEvent", true, 0, 0, 0, 0, 0 },	//13
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//14
    { "QFont", true, 0, 0, 0, 0, 0 },	//15
    { "QGL", false, 0, xcall_QGL, xenum_QGL, Smoke::cf_namespace, 0 },	//16
    { "QGLBuffer", false, 0, xcall_QGLBuffer, xenum_QGLBuffer, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLBuffer) },	//17
    { "QGLColormap", false, 0, xcall_QGLColormap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLColormap) },	//18
    { "QGLContext", false, 0, xcall_QGLContext, xenum_QGLContext, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLContext) },	//19
    { "QGLFormat", false, 0, xcall_QGLFormat, xenum_QGLFormat, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFormat) },	//20
    { "QGLFramebufferObject", false, 1, xcall_QGLFramebufferObject, xenum_QGLFramebufferObject, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLFramebufferObject) },	//21
    { "QGLFramebufferObjectFormat", false, 0, xcall_QGLFramebufferObjectFormat, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(QGLFramebufferObjectFormat) },	//22
    { "QGLPixelBuffer", false, 1, xcall_QGLPixelBuffer, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLPixelBuffer) },	//23
    { "QGLShader", false, 3, xcall_QGLShader, xenum_QGLShader, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShader) },	//24
    { "QGLShaderProgram", false, 3, xcall_QGLShaderProgram, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLShaderProgram) },	//25
    { "QGLWidget", false, 5, xcall_QGLWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(QGLWidget) },	//26
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//27
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//28
    { "QImage", true, 0, 0, 0, 0, 0 },	//29
    { "QIncompatibleFlag", true, 0, 0, 0, 0, 0 },	//30
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//31
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//32
    { "QMatrix4x4", true, 0, 0, 0, 0, 0 },	//33
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//34
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//36
    { "QObject", true, 0, 0, 0, 0, 0 },	//37
    { "QPaintDevice", true, 0, 0, 0, 0, 0 },	//38
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//39
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QPalette", true, 0, 0, 0, 0, 0 },	//41
    { "QPixmap", true, 0, 0, 0, 0, 0 },	//42
    { "QPoint", true, 0, 0, 0, 0, 0 },	//43
    { "QPointF", true, 0, 0, 0, 0, 0 },	//44
    { "QRect", true, 0, 0, 0, 0, 0 },	//45
    { "QRectF", true, 0, 0, 0, 0, 0 },	//46
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//47
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//49
    { "QSize", true, 0, 0, 0, 0, 0 },	//50
    { "QSizeF", true, 0, 0, 0, 0, 0 },	//51
    { "QStyle", true, 0, 0, 0, 0, 0 },	//52
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QTextCodec", true, 0, 0, 0, 0, 0 },	//54
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QTransform", true, 0, 0, 0, 0, 0 },	//56
    { "QVariant", true, 0, 0, 0, 0, 0 },	//57
    { "QVector2D", true, 0, 0, 0, 0, 0 },	//58
    { "QVector3D", true, 0, 0, 0, 0, 0 },	//59
    { "QVector4D", true, 0, 0, 0, 0, 0 },	//60
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//61
    { "QWidget", true, 0, 0, 0, 0, 0 },	//62
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "2", 0, Smoke::t_voidp|Smoke::tf_stack },	//1
    { "3", 0, Smoke::t_voidp|Smoke::tf_stack },	//2
    { "4", 0, Smoke::t_voidp|Smoke::tf_stack },	//3
    { "QAccessible2::BoundaryType", 0, Smoke::t_enum|Smoke::tf_stack },	//4
    { "QAccessible2::CoordinateType", 0, Smoke::t_enum|Smoke::tf_stack },	//5
    { "QAccessible2::InterfaceType", 0, Smoke::t_enum|Smoke::tf_stack },	//6
    { "QAccessible2::TableModelChangeType", 0, Smoke::t_enum|Smoke::tf_stack },	//7
    { "QActionEvent*", 1, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QBool", 2, Smoke::t_class|Smoke::tf_stack },	//9
    { "QByteArray", 3, Smoke::t_class|Smoke::tf_stack },	//10
    { "QChildEvent*", 4, Smoke::t_class|Smoke::tf_ptr },	//11
    { "QCloseEvent*", 5, Smoke::t_class|Smoke::tf_ptr },	//12
    { "QColor", 6, Smoke::t_class|Smoke::tf_stack },	//13
    { "QContextMenuEvent*", 7, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QDebug", 8, Smoke::t_class|Smoke::tf_stack },	//15
    { "QDragEnterEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QDragLeaveEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//17
    { "QDragMoveEvent*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "QDrawBorderPixmap::DrawingHint", 0, Smoke::t_enum|Smoke::tf_stack },	//19
    { "QDropEvent*", 12, Smoke::t_class|Smoke::tf_ptr },	//20
    { "QEvent*", 13, Smoke::t_class|Smoke::tf_ptr },	//21
    { "QFlags<QGL::FormatOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//22
    { "QFlags<QGLContext::BindOption>", 0, Smoke::t_uint|Smoke::tf_stack },	//23
    { "QFlags<QGLFormat::OpenGLVersionFlag>", 0, Smoke::t_uint|Smoke::tf_stack },	//24
    { "QFlags<QGLFunctions::OpenGLFeature>", 0, Smoke::t_uint|Smoke::tf_stack },	//25
    { "QFlags<QGLShader::ShaderTypeBit>", 0, Smoke::t_uint|Smoke::tf_stack },	//26
    { "QFlags<Qt::WindowType>", 0, Smoke::t_uint|Smoke::tf_stack },	//27
    { "QFocusEvent*", 14, Smoke::t_class|Smoke::tf_ptr },	//28
    { "QGL::FormatOption", 16, Smoke::t_enum|Smoke::tf_stack },	//29
    { "QGLBuffer&", 17, Smoke::t_class|Smoke::tf_ref },	//30
    { "QGLBuffer*", 17, Smoke::t_class|Smoke::tf_ptr },	//31
    { "QGLBuffer::Access", 17, Smoke::t_enum|Smoke::tf_stack },	//32
    { "QGLBuffer::Type", 17, Smoke::t_enum|Smoke::tf_stack },	//33
    { "QGLBuffer::UsagePattern", 17, Smoke::t_enum|Smoke::tf_stack },	//34
    { "QGLColormap&", 18, Smoke::t_class|Smoke::tf_ref },	//35
    { "QGLColormap*", 18, Smoke::t_class|Smoke::tf_ptr },	//36
    { "QGLContext*", 19, Smoke::t_class|Smoke::tf_ptr },	//37
    { "QGLContext::BindOption", 19, Smoke::t_enum|Smoke::tf_stack },	//38
    { "QGLFormat", 20, Smoke::t_class|Smoke::tf_stack },	//39
    { "QGLFormat&", 20, Smoke::t_class|Smoke::tf_ref },	//40
    { "QGLFormat*", 20, Smoke::t_class|Smoke::tf_ptr },	//41
    { "QGLFormat::OpenGLContextProfile", 20, Smoke::t_enum|Smoke::tf_stack },	//42
    { "QGLFormat::OpenGLVersionFlag", 20, Smoke::t_enum|Smoke::tf_stack },	//43
    { "QGLFramebufferObject*", 21, Smoke::t_class|Smoke::tf_ptr },	//44
    { "QGLFramebufferObject::Attachment", 21, Smoke::t_enum|Smoke::tf_stack },	//45
    { "QGLFramebufferObjectFormat", 22, Smoke::t_class|Smoke::tf_stack },	//46
    { "QGLFramebufferObjectFormat&", 22, Smoke::t_class|Smoke::tf_ref },	//47
    { "QGLFramebufferObjectFormat*", 22, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QGLFunctions::OpenGLFeature", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "QGLPixelBuffer*", 23, Smoke::t_class|Smoke::tf_ptr },	//50
    { "QGLShader*", 24, Smoke::t_class|Smoke::tf_ptr },	//51
    { "QGLShader::ShaderTypeBit", 24, Smoke::t_enum|Smoke::tf_stack },	//52
    { "QGLShaderProgram*", 25, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QGLWidget*", 26, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QHideEvent*", 28, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QImage", 29, Smoke::t_class|Smoke::tf_stack },	//56
    { "QIncompatibleFlag", 30, Smoke::t_class|Smoke::tf_stack },	//57
    { "QInputMethodEvent*", 31, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QKeyEvent*", 32, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QList<QGLShader*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//60
    { "QMetaObject::Call", 34, Smoke::t_enum|Smoke::tf_stack },	//61
    { "QMouseEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//62
    { "QMoveEvent*", 36, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QObject*", 37, Smoke::t_class|Smoke::tf_ptr },	//64
    { "QPaintDevice*", 38, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QPaintDevice::PaintDeviceMetric", 38, Smoke::t_enum|Smoke::tf_stack },	//66
    { "QPaintEngine*", 39, Smoke::t_class|Smoke::tf_ptr },	//67
    { "QPaintEngine::Type", 39, Smoke::t_enum|Smoke::tf_stack },	//68
    { "QPaintEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//69
    { "QPixmap", 42, Smoke::t_class|Smoke::tf_stack },	//70
    { "QRegExp&", 47, Smoke::t_class|Smoke::tf_ref },	//71
    { "QResizeEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QShowEvent*", 49, Smoke::t_class|Smoke::tf_ptr },	//73
    { "QSize", 50, Smoke::t_class|Smoke::tf_stack },	//74
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//75
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//76
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//77
    { "QStyle&", 52, Smoke::t_class|Smoke::tf_ref },	//78
    { "QTabletEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QTextCodec*", 54, Smoke::t_class|Smoke::tf_ptr },	//80
    { "QTimerEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QVariant", 57, Smoke::t_class|Smoke::tf_stack },	//82
    { "QWheelEvent*", 61, Smoke::t_class|Smoke::tf_ptr },	//83
    { "QWidget*", 62, Smoke::t_class|Smoke::tf_ptr },	//84
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//91
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//92
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::CursorMoveStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//115
    { "Qt::HitTestAccuracy", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//130
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//137
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::WhiteSpaceMode", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "QtConcurrent::ReduceOption", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "QtConcurrent::ThreadFunctionResult", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//161
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//162
    { "const QByteArray&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//163
    { "const QColor&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//164
    { "const QFont&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//165
    { "const QGLBuffer&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//166
    { "const QGLColormap&", 18, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//167
    { "const QGLContext*", 19, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//168
    { "const QGLFormat&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//169
    { "const QGLFramebufferObjectFormat&", 22, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//170
    { "const QGLWidget*", 26, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//171
    { "const QGenericMatrix<2,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//172
    { "const QGenericMatrix<2,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//173
    { "const QGenericMatrix<2,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//174
    { "const QGenericMatrix<2,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//175
    { "const QGenericMatrix<2,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const QGenericMatrix<2,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//177
    { "const QGenericMatrix<3,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const QGenericMatrix<3,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//179
    { "const QGenericMatrix<3,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const QGenericMatrix<3,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//181
    { "const QGenericMatrix<3,4,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const QGenericMatrix<3,4,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//183
    { "const QGenericMatrix<4,2,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const QGenericMatrix<4,2,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//185
    { "const QGenericMatrix<4,3,double>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//186
    { "const QGenericMatrix<4,3,double>*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//187
    { "const QImage&", 29, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const QMatrix4x4&", 33, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const QMatrix4x4*", 33, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//190
    { "const QMetaObject&", 34, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QMetaObject*", 34, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//192
    { "const QPalette&", 41, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QPixmap&", 42, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QPoint&", 43, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QPointF&", 44, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QRect&", 45, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QRectF&", 46, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//198
    { "const QRegExp&", 47, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//199
    { "const QSize&", 50, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QSizeF&", 51, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//201
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//203
    { "const QTransform&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QVector2D&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QVector2D*", 58, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//206
    { "const QVector3D&", 59, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//207
    { "const QVector3D*", 59, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//208
    { "const QVector4D&", 60, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const QVector4D*", 60, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const float*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//212
    { "const float[2][2]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//213
    { "const float[3][3]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//214
    { "const float[4][4]", 0, Smoke::t_float|Smoke::tf_stack|Smoke::tf_const },	//215
    { "const int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//216
    { "const unsigned int*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//217
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//218
    { "double", 0, Smoke::t_double|Smoke::tf_stack },	//219
    { "float", 0, Smoke::t_float|Smoke::tf_stack },	//220
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//221
    { "khronos_boolean_enum_t", 27, Smoke::t_enum|Smoke::tf_stack },	//222
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//223
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//224
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//225
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//226
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//227
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//228
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    68, 0,	//1  QPaintEngine::Type
    33, 0,	//3  QGLBuffer::Type
    166, 0,	//5  const QGLBuffer&
    34, 0,	//7  QGLBuffer::UsagePattern
    221, 226, 221, 0,	//9  int, void*, int
    221, 218, 221, 0,	//13  int, const void*, int
    218, 221, 0,	//17  const void*, int
    221, 0,	//20  int
    32, 0,	//22  QGLBuffer::Access
    167, 0,	//24  const QGLColormap&
    221, 217, 221, 0,	//26  int, const unsigned int*, int
    221, 224, 0,	//30  int, unsigned int
    221, 164, 0,	//33  int, const QColor&
    224, 0,	//36  unsigned int
    225, 0,	//38  unsigned long
    221, 217, 0,	//40  int, const unsigned int*
    169, 65, 0,	//43  const QGLFormat&, QPaintDevice*
    169, 0,	//46  const QGLFormat&
    168, 0,	//48  const QGLContext*
    168, 168, 0,	//50  const QGLContext*, const QGLContext*
    188, 224, 221, 23, 0,	//53  const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>
    194, 224, 221, 23, 0,	//58  const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>
    188, 224, 221, 0,	//63  const QImage&, unsigned int, int
    194, 224, 221, 0,	//67  const QPixmap&, unsigned int, int
    202, 0,	//71  const QString&
    198, 224, 224, 0,	//73  const QRectF&, unsigned int, unsigned int
    196, 224, 224, 0,	//77  const QPointF&, unsigned int, unsigned int
    169, 221, 0,	//81  const QGLFormat&, int
    162, 0,	//84  bool
    165, 221, 0,	//86  const QFont&, int
    164, 0,	//89  const QColor&
    65, 0,	//91  QPaintDevice*
    188, 0,	//93  const QImage&
    188, 224, 0,	//95  const QImage&, unsigned int
    194, 0,	//98  const QPixmap&
    194, 224, 0,	//100  const QPixmap&, unsigned int
    198, 224, 0,	//103  const QRectF&, unsigned int
    196, 224, 0,	//106  const QPointF&, unsigned int
    37, 0,	//109  QGLContext*
    22, 221, 0,	//111  QFlags<QGL::FormatOption>, int
    22, 0,	//114  QFlags<QGL::FormatOption>
    221, 221, 0,	//116  int, int
    42, 0,	//119  QGLFormat::OpenGLContextProfile
    200, 224, 0,	//121  const QSize&, unsigned int
    221, 221, 224, 0,	//124  int, int, unsigned int
    200, 45, 224, 224, 0,	//128  const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    221, 221, 45, 224, 224, 0,	//133  int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int
    200, 170, 0,	//139  const QSize&, const QGLFramebufferObjectFormat&
    221, 221, 170, 0,	//142  int, int, const QGLFramebufferObjectFormat&
    44, 197, 44, 197, 224, 224, 0,	//146  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int
    66, 0,	//153  QPaintDevice::PaintDeviceMetric
    200, 0,	//155  const QSize&
    200, 45, 0,	//157  const QSize&, QGLFramebufferObject::Attachment
    200, 45, 224, 0,	//160  const QSize&, QGLFramebufferObject::Attachment, unsigned int
    221, 221, 45, 0,	//164  int, int, QGLFramebufferObject::Attachment
    221, 221, 45, 224, 0,	//168  int, int, QGLFramebufferObject::Attachment, unsigned int
    44, 197, 44, 197, 0,	//173  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&
    44, 197, 44, 197, 224, 0,	//178  QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int
    170, 0,	//184  const QGLFramebufferObjectFormat&
    45, 0,	//186  QGLFramebufferObject::Attachment
    200, 169, 54, 0,	//188  const QSize&, const QGLFormat&, QGLWidget*
    221, 221, 169, 54, 0,	//192  int, int, const QGLFormat&, QGLWidget*
    200, 169, 0,	//197  const QSize&, const QGLFormat&
    221, 221, 169, 0,	//200  int, int, const QGLFormat&
    211, 0,	//204  const char*
    211, 211, 0,	//206  const char*, const char*
    211, 211, 221, 0,	//209  const char*, const char*, int
    61, 221, 227, 0,	//213  QMetaObject::Call, int, void**
    26, 64, 0,	//217  QFlags<QGLShader::ShaderTypeBit>, QObject*
    26, 168, 64, 0,	//220  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*
    163, 0,	//224  const QByteArray&
    26, 168, 0,	//226  QFlags<QGLShader::ShaderTypeBit>, const QGLContext*
    26, 0,	//229  QFlags<QGLShader::ShaderTypeBit>
    64, 0,	//231  QObject*
    168, 64, 0,	//233  const QGLContext*, QObject*
    51, 0,	//236  QGLShader*
    26, 211, 0,	//238  QFlags<QGLShader::ShaderTypeBit>, const char*
    26, 163, 0,	//241  QFlags<QGLShader::ShaderTypeBit>, const QByteArray&
    26, 202, 0,	//244  QFlags<QGLShader::ShaderTypeBit>, const QString&
    211, 221, 0,	//247  const char*, int
    163, 221, 0,	//250  const QByteArray&, int
    202, 221, 0,	//253  const QString&, int
    221, 220, 0,	//256  int, float
    221, 220, 220, 0,	//259  int, float, float
    221, 220, 220, 220, 0,	//263  int, float, float, float
    221, 220, 220, 220, 220, 0,	//268  int, float, float, float, float
    221, 205, 0,	//274  int, const QVector2D&
    221, 207, 0,	//277  int, const QVector3D&
    221, 209, 0,	//280  int, const QVector4D&
    221, 212, 221, 221, 0,	//283  int, const float*, int, int
    211, 220, 0,	//288  const char*, float
    211, 220, 220, 0,	//291  const char*, float, float
    211, 220, 220, 220, 0,	//295  const char*, float, float, float
    211, 220, 220, 220, 220, 0,	//300  const char*, float, float, float, float
    211, 205, 0,	//306  const char*, const QVector2D&
    211, 207, 0,	//309  const char*, const QVector3D&
    211, 209, 0,	//312  const char*, const QVector4D&
    211, 164, 0,	//315  const char*, const QColor&
    211, 212, 221, 221, 0,	//318  const char*, const float*, int, int
    221, 206, 221, 0,	//323  int, const QVector2D*, int
    221, 208, 221, 0,	//327  int, const QVector3D*, int
    221, 210, 221, 0,	//331  int, const QVector4D*, int
    221, 224, 218, 221, 221, 0,	//335  int, unsigned int, const void*, int, int
    211, 206, 221, 0,	//341  const char*, const QVector2D*, int
    211, 208, 221, 0,	//345  const char*, const QVector3D*, int
    211, 210, 221, 0,	//349  const char*, const QVector4D*, int
    211, 224, 218, 221, 221, 0,	//353  const char*, unsigned int, const void*, int, int
    221, 224, 221, 221, 221, 0,	//359  int, unsigned int, int, int, int
    211, 224, 221, 221, 221, 0,	//365  const char*, unsigned int, int, int, int
    221, 195, 0,	//371  int, const QPoint&
    221, 196, 0,	//374  int, const QPointF&
    221, 200, 0,	//377  int, const QSize&
    221, 201, 0,	//380  int, const QSizeF&
    221, 172, 0,	//383  int, const QGenericMatrix<2,2,double>&
    221, 174, 0,	//386  int, const QGenericMatrix<2,3,double>&
    221, 176, 0,	//389  int, const QGenericMatrix<2,4,double>&
    221, 178, 0,	//392  int, const QGenericMatrix<3,2,double>&
    221, 180, 0,	//395  int, const QGenericMatrix<3,3,double>&
    221, 182, 0,	//398  int, const QGenericMatrix<3,4,double>&
    221, 184, 0,	//401  int, const QGenericMatrix<4,2,double>&
    221, 186, 0,	//404  int, const QGenericMatrix<4,3,double>&
    221, 189, 0,	//407  int, const QMatrix4x4&
    221, 213, 0,	//410  int, const float[2][2]
    221, 214, 0,	//413  int, const float[3][3]
    221, 215, 0,	//416  int, const float[4][4]
    221, 204, 0,	//419  int, const QTransform&
    211, 224, 0,	//422  const char*, unsigned int
    211, 195, 0,	//425  const char*, const QPoint&
    211, 196, 0,	//428  const char*, const QPointF&
    211, 200, 0,	//431  const char*, const QSize&
    211, 201, 0,	//434  const char*, const QSizeF&
    211, 172, 0,	//437  const char*, const QGenericMatrix<2,2,double>&
    211, 174, 0,	//440  const char*, const QGenericMatrix<2,3,double>&
    211, 176, 0,	//443  const char*, const QGenericMatrix<2,4,double>&
    211, 178, 0,	//446  const char*, const QGenericMatrix<3,2,double>&
    211, 180, 0,	//449  const char*, const QGenericMatrix<3,3,double>&
    211, 182, 0,	//452  const char*, const QGenericMatrix<3,4,double>&
    211, 184, 0,	//455  const char*, const QGenericMatrix<4,2,double>&
    211, 186, 0,	//458  const char*, const QGenericMatrix<4,3,double>&
    211, 189, 0,	//461  const char*, const QMatrix4x4&
    211, 213, 0,	//464  const char*, const float[2][2]
    211, 214, 0,	//467  const char*, const float[3][3]
    211, 215, 0,	//470  const char*, const float[4][4]
    211, 204, 0,	//473  const char*, const QTransform&
    221, 216, 221, 0,	//476  int, const int*, int
    221, 173, 221, 0,	//480  int, const QGenericMatrix<2,2,double>*, int
    221, 175, 221, 0,	//484  int, const QGenericMatrix<2,3,double>*, int
    221, 177, 221, 0,	//488  int, const QGenericMatrix<2,4,double>*, int
    221, 179, 221, 0,	//492  int, const QGenericMatrix<3,2,double>*, int
    221, 181, 221, 0,	//496  int, const QGenericMatrix<3,3,double>*, int
    221, 183, 221, 0,	//500  int, const QGenericMatrix<3,4,double>*, int
    221, 185, 221, 0,	//504  int, const QGenericMatrix<4,2,double>*, int
    221, 187, 221, 0,	//508  int, const QGenericMatrix<4,3,double>*, int
    221, 190, 221, 0,	//512  int, const QMatrix4x4*, int
    211, 216, 221, 0,	//516  const char*, const int*, int
    211, 217, 221, 0,	//520  const char*, const unsigned int*, int
    211, 173, 221, 0,	//524  const char*, const QGenericMatrix<2,2,double>*, int
    211, 175, 221, 0,	//528  const char*, const QGenericMatrix<2,3,double>*, int
    211, 177, 221, 0,	//532  const char*, const QGenericMatrix<2,4,double>*, int
    211, 179, 221, 0,	//536  const char*, const QGenericMatrix<3,2,double>*, int
    211, 181, 221, 0,	//540  const char*, const QGenericMatrix<3,3,double>*, int
    211, 183, 221, 0,	//544  const char*, const QGenericMatrix<3,4,double>*, int
    211, 185, 221, 0,	//548  const char*, const QGenericMatrix<4,2,double>*, int
    211, 187, 221, 0,	//552  const char*, const QGenericMatrix<4,3,double>*, int
    211, 190, 221, 0,	//556  const char*, const QMatrix4x4*, int
    221, 212, 221, 0,	//560  int, const float*, int
    221, 206, 0,	//564  int, const QVector2D*
    221, 208, 0,	//567  int, const QVector3D*
    221, 210, 0,	//570  int, const QVector4D*
    221, 224, 218, 221, 0,	//573  int, unsigned int, const void*, int
    211, 212, 221, 0,	//578  const char*, const float*, int
    211, 206, 0,	//582  const char*, const QVector2D*
    211, 208, 0,	//585  const char*, const QVector3D*
    211, 210, 0,	//588  const char*, const QVector4D*
    211, 224, 218, 221, 0,	//591  const char*, unsigned int, const void*, int
    221, 224, 221, 221, 0,	//596  int, unsigned int, int, int
    211, 224, 221, 221, 0,	//601  const char*, unsigned int, int, int
    84, 171, 27, 0,	//606  QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    37, 84, 171, 27, 0,	//610  QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    169, 84, 171, 27, 0,	//615  const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>
    37, 168, 162, 0,	//620  QGLContext*, const QGLContext*, bool
    221, 221, 162, 0,	//624  int, int, bool
    221, 221, 202, 165, 221, 0,	//628  int, int, const QString&, const QFont&, int
    219, 219, 219, 202, 165, 221, 0,	//634  double, double, double, const QString&, const QFont&, int
    21, 0,	//641  QEvent*
    69, 0,	//643  QPaintEvent*
    72, 0,	//645  QResizeEvent*
    84, 0,	//647  QWidget*
    84, 171, 0,	//649  QWidget*, const QGLWidget*
    37, 84, 0,	//652  QGLContext*, QWidget*
    37, 84, 171, 0,	//655  QGLContext*, QWidget*, const QGLWidget*
    169, 84, 0,	//659  const QGLFormat&, QWidget*
    169, 84, 171, 0,	//662  const QGLFormat&, QWidget*, const QGLWidget*
    37, 168, 0,	//666  QGLContext*, const QGLContext*
    221, 221, 202, 0,	//669  int, int, const QString&
    221, 221, 202, 165, 0,	//673  int, int, const QString&, const QFont&
    219, 219, 219, 202, 0,	//678  double, double, double, const QString&
    219, 219, 219, 202, 165, 0,	//683  double, double, double, const QString&, const QFont&
    165, 0,	//689  const QFont&
    15, 169, 0,	//691  QDebug, const QGLFormat&
    38, 23, 0,	//694  QGLContext::BindOption, QFlags<QGLContext::BindOption>
    52, 221, 0,	//697  QGLShader::ShaderTypeBit, int
    49, 49, 0,	//700  QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature
    29, 22, 0,	//703  QGL::FormatOption, QFlags<QGL::FormatOption>
    38, 221, 0,	//706  QGLContext::BindOption, int
    43, 221, 0,	//709  QGLFormat::OpenGLVersionFlag, int
    52, 26, 0,	//712  QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>
    29, 221, 0,	//715  QGL::FormatOption, int
    49, 25, 0,	//718  QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>
    169, 169, 0,	//721  const QGLFormat&, const QGLFormat&
    38, 38, 0,	//724  QGLContext::BindOption, QGLContext::BindOption
    43, 24, 0,	//727  QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>
    49, 221, 0,	//730  QGLFunctions::OpenGLFeature, int
    52, 52, 0,	//733  QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit
    43, 43, 0,	//736  QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag
    29, 29, 0,	//739  QGL::FormatOption, QGL::FormatOption
    64, 21, 0,	//742  QObject*, QEvent*
    81, 0,	//745  QTimerEvent*
    11, 0,	//747  QChildEvent*
    62, 0,	//749  QMouseEvent*
    83, 0,	//751  QWheelEvent*
    59, 0,	//753  QKeyEvent*
    28, 0,	//755  QFocusEvent*
    63, 0,	//757  QMoveEvent*
    12, 0,	//759  QCloseEvent*
    14, 0,	//761  QContextMenuEvent*
    79, 0,	//763  QTabletEvent*
    8, 0,	//765  QActionEvent*
    16, 0,	//767  QDragEnterEvent*
    18, 0,	//769  QDragMoveEvent*
    17, 0,	//771  QDragLeaveEvent*
    20, 0,	//773  QDropEvent*
    73, 0,	//775  QShowEvent*
    55, 0,	//777  QHideEvent*
    161, 0,	//779  _XEvent*
    58, 0,	//781  QInputMethodEvent*
    120, 0,	//783  Qt::InputMethodQuery
    78, 0,	//785  QStyle&
    193, 0,	//787  const QPalette&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "AccumBuffer",	//1
    "AlphaChannel",	//2
    "CanFlipNativePixmapBindOption",	//3
    "ColorIndex",	//4
    "CombinedDepthStencil",	//5
    "CompatibilityProfile",	//6
    "CoreProfile",	//7
    "DefaultBindOption",	//8
    "DeprecatedFunctions",	//9
    "Depth",	//10
    "DepthBuffer",	//11
    "DirectRendering",	//12
    "DoubleBuffer",	//13
    "DrawChildren",	//14
    "DrawWindowBackground",	//15
    "DynamicCopy",	//16
    "DynamicDraw",	//17
    "DynamicRead",	//18
    "Fragment",	//19
    "Geometry",	//20
    "HasOverlay",	//21
    "IgnoreMask",	//22
    "IndexBuffer",	//23
    "IndirectRendering",	//24
    "InternalBindOption",	//25
    "InvertedYBindOption",	//26
    "KHRONOS_BOOLEAN_ENUM_FORCE_SIZE",	//27
    "KHRONOS_FALSE",	//28
    "KHRONOS_TRUE",	//29
    "LinearFilteringBindOption",	//30
    "MemoryManagedBindOption",	//31
    "MipmapBindOption",	//32
    "NoAccumBuffer",	//33
    "NoAlphaChannel",	//34
    "NoAttachment",	//35
    "NoBindOption",	//36
    "NoDeprecatedFunctions",	//37
    "NoDepthBuffer",	//38
    "NoOverlay",	//39
    "NoProfile",	//40
    "NoSampleBuffers",	//41
    "NoStencilBuffer",	//42
    "NoStereoBuffers",	//43
    "OpenGL_ES_CommonLite_Version_1_0",	//44
    "OpenGL_ES_CommonLite_Version_1_1",	//45
    "OpenGL_ES_Common_Version_1_0",	//46
    "OpenGL_ES_Common_Version_1_1",	//47
    "OpenGL_ES_Version_2_0",	//48
    "OpenGL_Version_1_1",	//49
    "OpenGL_Version_1_2",	//50
    "OpenGL_Version_1_3",	//51
    "OpenGL_Version_1_4",	//52
    "OpenGL_Version_1_5",	//53
    "OpenGL_Version_2_0",	//54
    "OpenGL_Version_2_1",	//55
    "OpenGL_Version_3_0",	//56
    "OpenGL_Version_3_1",	//57
    "OpenGL_Version_3_2",	//58
    "OpenGL_Version_3_3",	//59
    "OpenGL_Version_4_0",	//60
    "OpenGL_Version_None",	//61
    "PixelPackBuffer",	//62
    "PixelUnpackBuffer",	//63
    "PremultipliedAlphaBindOption",	//64
    "QGLBuffer",	//65
    "QGLBuffer#",	//66
    "QGLBuffer$",	//67
    "QGLColormap",	//68
    "QGLColormap#",	//69
    "QGLContext",	//70
    "QGLContext#",	//71
    "QGLContext##",	//72
    "QGLFormat",	//73
    "QGLFormat#",	//74
    "QGLFormat$",	//75
    "QGLFormat$$",	//76
    "QGLFramebufferObject",	//77
    "QGLFramebufferObject#",	//78
    "QGLFramebufferObject##",	//79
    "QGLFramebufferObject#$",	//80
    "QGLFramebufferObject#$$",	//81
    "QGLFramebufferObject#$$$",	//82
    "QGLFramebufferObject$$",	//83
    "QGLFramebufferObject$$#",	//84
    "QGLFramebufferObject$$$",	//85
    "QGLFramebufferObject$$$$",	//86
    "QGLFramebufferObject$$$$$",	//87
    "QGLFramebufferObjectFormat",	//88
    "QGLFramebufferObjectFormat#",	//89
    "QGLPixelBuffer",	//90
    "QGLPixelBuffer#",	//91
    "QGLPixelBuffer##",	//92
    "QGLPixelBuffer###",	//93
    "QGLPixelBuffer$$",	//94
    "QGLPixelBuffer$$#",	//95
    "QGLPixelBuffer$$##",	//96
    "QGLShader",	//97
    "QGLShader$",	//98
    "QGLShader$#",	//99
    "QGLShader$##",	//100
    "QGLShaderProgram",	//101
    "QGLShaderProgram#",	//102
    "QGLShaderProgram##",	//103
    "QGLWidget",	//104
    "QGLWidget#",	//105
    "QGLWidget##",	//106
    "QGLWidget###",	//107
    "QGLWidget###$",	//108
    "QGLWidget##$",	//109
    "ReadOnly",	//110
    "ReadWrite",	//111
    "Rgba",	//112
    "SampleBuffers",	//113
    "SingleBuffer",	//114
    "StaticCopy",	//115
    "StaticDraw",	//116
    "StaticRead",	//117
    "StencilBuffer",	//118
    "StereoBuffers",	//119
    "StreamCopy",	//120
    "StreamDraw",	//121
    "StreamRead",	//122
    "Vertex",	//123
    "VertexBuffer",	//124
    "WriteOnly",	//125
    "accum",	//126
    "accumBufferSize",	//127
    "actionEvent",	//128
    "addShader",	//129
    "addShader#",	//130
    "addShaderFromSourceCode",	//131
    "addShaderFromSourceCode$#",	//132
    "addShaderFromSourceCode$$",	//133
    "addShaderFromSourceFile",	//134
    "addShaderFromSourceFile$$",	//135
    "allocate",	//136
    "allocate$",	//137
    "allocate$$",	//138
    "alpha",	//139
    "alphaBufferSize",	//140
    "areSharing",	//141
    "areSharing##",	//142
    "attachment",	//143
    "attributeLocation",	//144
    "attributeLocation#",	//145
    "attributeLocation$",	//146
    "autoBufferSwap",	//147
    "bind",	//148
    "bindAttributeLocation",	//149
    "bindAttributeLocation#$",	//150
    "bindAttributeLocation$$",	//151
    "bindDefault",	//152
    "bindTexture",	//153
    "bindTexture#",	//154
    "bindTexture#$",	//155
    "bindTexture#$$",	//156
    "bindTexture#$$$",	//157
    "bindTexture$",	//158
    "bindToDynamicTexture",	//159
    "bindToDynamicTexture$",	//160
    "blitFramebuffer",	//161
    "blitFramebuffer####",	//162
    "blitFramebuffer####$",	//163
    "blitFramebuffer####$$",	//164
    "blueBufferSize",	//165
    "bufferId",	//166
    "changeEvent",	//167
    "childEvent",	//168
    "chooseContext",	//169
    "chooseContext#",	//170
    "chooseVisual",	//171
    "closeEvent",	//172
    "colorIndex",	//173
    "colorIndex#",	//174
    "colormap",	//175
    "compileSourceCode",	//176
    "compileSourceCode#",	//177
    "compileSourceCode$",	//178
    "compileSourceFile",	//179
    "compileSourceFile$",	//180
    "connectNotify",	//181
    "context",	//182
    "contextMenuEvent",	//183
    "convertToGLFormat",	//184
    "convertToGLFormat#",	//185
    "create",	//186
    "create#",	//187
    "currentContext",	//188
    "currentCtx",	//189
    "customEvent",	//190
    "defaultFormat",	//191
    "defaultOverlayFormat",	//192
    "deleteTexture",	//193
    "deleteTexture$",	//194
    "depth",	//195
    "depthBufferSize",	//196
    "destroy",	//197
    "detach",	//198
    "devType",	//199
    "device",	//200
    "deviceIsPixmap",	//201
    "directRendering",	//202
    "disableAttributeArray",	//203
    "disableAttributeArray$",	//204
    "disconnectNotify",	//205
    "doneCurrent",	//206
    "doubleBuffer",	//207
    "dragEnterEvent",	//208
    "dragLeaveEvent",	//209
    "dragMoveEvent",	//210
    "drawTexture",	//211
    "drawTexture#$",	//212
    "drawTexture#$$",	//213
    "dropEvent",	//214
    "enableAttributeArray",	//215
    "enableAttributeArray$",	//216
    "enabledChange",	//217
    "enterEvent",	//218
    "entryColor",	//219
    "entryColor$",	//220
    "entryRgb",	//221
    "entryRgb$",	//222
    "event",	//223
    "event#",	//224
    "eventFilter",	//225
    "find",	//226
    "find$",	//227
    "findNearest",	//228
    "findNearest$",	//229
    "focusInEvent",	//230
    "focusNextPrevChild",	//231
    "focusOutEvent",	//232
    "fontChange",	//233
    "fontDisplayListBase",	//234
    "fontDisplayListBase#",	//235
    "fontDisplayListBase#$",	//236
    "format",	//237
    "generateDynamicTexture",	//238
    "generateFontDisplayLists",	//239
    "generateFontDisplayLists#$",	//240
    "geometryInputType",	//241
    "geometryOutputType",	//242
    "geometryOutputVertexCount",	//243
    "getProcAddress",	//244
    "getProcAddress$",	//245
    "glDraw",	//246
    "glInit",	//247
    "grabFrameBuffer",	//248
    "grabFrameBuffer$",	//249
    "greenBufferSize",	//250
    "handle",	//251
    "hasOpenGL",	//252
    "hasOpenGLFramebufferBlit",	//253
    "hasOpenGLFramebufferObjects",	//254
    "hasOpenGLOverlays",	//255
    "hasOpenGLPbuffers",	//256
    "hasOpenGLShaderPrograms",	//257
    "hasOpenGLShaderPrograms#",	//258
    "hasOpenGLShaders",	//259
    "hasOpenGLShaders$",	//260
    "hasOpenGLShaders$#",	//261
    "hasOverlay",	//262
    "heightForWidth",	//263
    "hideEvent",	//264
    "initializeGL",	//265
    "initializeOverlayGL",	//266
    "initialized",	//267
    "inputMethodEvent",	//268
    "inputMethodQuery",	//269
    "internalTextureFormat",	//270
    "isBound",	//271
    "isCompiled",	//272
    "isCreated",	//273
    "isEmpty",	//274
    "isLinked",	//275
    "isSharing",	//276
    "isValid",	//277
    "keyPressEvent",	//278
    "keyReleaseEvent",	//279
    "languageChange",	//280
    "leaveEvent",	//281
    "link",	//282
    "log",	//283
    "majorVersion",	//284
    "makeCurrent",	//285
    "makeOverlayCurrent",	//286
    "map",	//287
    "map$",	//288
    "maxGeometryOutputVertices",	//289
    "metaObject",	//290
    "metric",	//291
    "metric$",	//292
    "minimumSizeHint",	//293
    "minorVersion",	//294
    "mipmap",	//295
    "mouseDoubleClickEvent",	//296
    "mouseMoveEvent",	//297
    "mousePressEvent",	//298
    "mouseReleaseEvent",	//299
    "moveEvent",	//300
    "openGLVersionFlags",	//301
    "operator!=",	//302
    "operator!=#",	//303
    "operator!=##",	//304
    "operator<<",	//305
    "operator<<##",	//306
    "operator=",	//307
    "operator=#",	//308
    "operator==",	//309
    "operator==#",	//310
    "operator==##",	//311
    "operator|",	//312
    "operator|$$",	//313
    "overlayContext",	//314
    "overlayTransparentColor",	//315
    "paintEngine",	//316
    "paintEvent",	//317
    "paintEvent#",	//318
    "paintGL",	//319
    "paintOverlayGL",	//320
    "paletteChange",	//321
    "plane",	//322
    "profile",	//323
    "programId",	//324
    "qglClearColor",	//325
    "qglClearColor#",	//326
    "qglColor",	//327
    "qglColor#",	//328
    "qt_metacall",	//329
    "qt_metacall$$?",	//330
    "qt_metacast",	//331
    "qt_metacast$",	//332
    "read",	//333
    "read$$$",	//334
    "redBufferSize",	//335
    "release",	//336
    "release$",	//337
    "releaseFromDynamicTexture",	//338
    "removeAllShaders",	//339
    "removeShader",	//340
    "removeShader#",	//341
    "renderPixmap",	//342
    "renderPixmap$",	//343
    "renderPixmap$$",	//344
    "renderPixmap$$$",	//345
    "renderText",	//346
    "renderText$$$",	//347
    "renderText$$$#",	//348
    "renderText$$$#$",	//349
    "renderText$$$$",	//350
    "renderText$$$$#",	//351
    "renderText$$$$#$",	//352
    "requestedFormat",	//353
    "reset",	//354
    "resizeEvent",	//355
    "resizeEvent#",	//356
    "resizeGL",	//357
    "resizeGL$$",	//358
    "resizeOverlayGL",	//359
    "resizeOverlayGL$$",	//360
    "rgba",	//361
    "sampleBuffers",	//362
    "samples",	//363
    "setAccum",	//364
    "setAccum$",	//365
    "setAccumBufferSize",	//366
    "setAccumBufferSize$",	//367
    "setAlpha",	//368
    "setAlpha$",	//369
    "setAlphaBufferSize",	//370
    "setAlphaBufferSize$",	//371
    "setAttachment",	//372
    "setAttachment$",	//373
    "setAttributeArray",	//374
    "setAttributeArray$#",	//375
    "setAttributeArray$#$",	//376
    "setAttributeArray$$$",	//377
    "setAttributeArray$$$$",	//378
    "setAttributeArray$$$$$",	//379
    "setAttributeBuffer",	//380
    "setAttributeBuffer$$$$",	//381
    "setAttributeBuffer$$$$$",	//382
    "setAttributeValue",	//383
    "setAttributeValue$#",	//384
    "setAttributeValue$$",	//385
    "setAttributeValue$$$",	//386
    "setAttributeValue$$$$",	//387
    "setAttributeValue$$$$$",	//388
    "setAutoBufferSwap",	//389
    "setAutoBufferSwap$",	//390
    "setBlueBufferSize",	//391
    "setBlueBufferSize$",	//392
    "setColormap",	//393
    "setColormap#",	//394
    "setContext",	//395
    "setContext#",	//396
    "setContext##",	//397
    "setContext##$",	//398
    "setCurrentCtx",	//399
    "setCurrentCtx#",	//400
    "setDefaultFormat",	//401
    "setDefaultFormat#",	//402
    "setDefaultOverlayFormat",	//403
    "setDefaultOverlayFormat#",	//404
    "setDepth",	//405
    "setDepth$",	//406
    "setDepthBufferSize",	//407
    "setDepthBufferSize$",	//408
    "setDevice",	//409
    "setDevice#",	//410
    "setDirectRendering",	//411
    "setDirectRendering$",	//412
    "setDoubleBuffer",	//413
    "setDoubleBuffer$",	//414
    "setEntries",	//415
    "setEntries$$",	//416
    "setEntries$$$",	//417
    "setEntry",	//418
    "setEntry$#",	//419
    "setEntry$$",	//420
    "setFormat",	//421
    "setFormat#",	//422
    "setGeometryInputType",	//423
    "setGeometryInputType$",	//424
    "setGeometryOutputType",	//425
    "setGeometryOutputType$",	//426
    "setGeometryOutputVertexCount",	//427
    "setGeometryOutputVertexCount$",	//428
    "setGreenBufferSize",	//429
    "setGreenBufferSize$",	//430
    "setHandle",	//431
    "setHandle$",	//432
    "setInitialized",	//433
    "setInitialized$",	//434
    "setInternalTextureFormat",	//435
    "setInternalTextureFormat$",	//436
    "setMipmap",	//437
    "setMipmap$",	//438
    "setMouseTracking",	//439
    "setMouseTracking$",	//440
    "setOption",	//441
    "setOption$",	//442
    "setOverlay",	//443
    "setOverlay$",	//444
    "setPlane",	//445
    "setPlane$",	//446
    "setPreferredPaintEngine",	//447
    "setPreferredPaintEngine$",	//448
    "setProfile",	//449
    "setProfile$",	//450
    "setRedBufferSize",	//451
    "setRedBufferSize$",	//452
    "setRgba",	//453
    "setRgba$",	//454
    "setSampleBuffers",	//455
    "setSampleBuffers$",	//456
    "setSamples",	//457
    "setSamples$",	//458
    "setStencil",	//459
    "setStencil$",	//460
    "setStencilBufferSize",	//461
    "setStencilBufferSize$",	//462
    "setStereo",	//463
    "setStereo$",	//464
    "setSwapInterval",	//465
    "setSwapInterval$",	//466
    "setTextureCacheLimit",	//467
    "setTextureCacheLimit$",	//468
    "setTextureTarget",	//469
    "setTextureTarget$",	//470
    "setUniformValue",	//471
    "setUniformValue$#",	//472
    "setUniformValue$$",	//473
    "setUniformValue$$$",	//474
    "setUniformValue$$$$",	//475
    "setUniformValue$$$$$",	//476
    "setUniformValue$?",	//477
    "setUniformValueArray",	//478
    "setUniformValueArray$#$",	//479
    "setUniformValueArray$$$",	//480
    "setUniformValueArray$$$$",	//481
    "setUniformValueArray$?$",	//482
    "setUsagePattern",	//483
    "setUsagePattern$",	//484
    "setValid",	//485
    "setValid$",	//486
    "setVersion",	//487
    "setVersion$$",	//488
    "setVisible",	//489
    "setWindowCreated",	//490
    "setWindowCreated$",	//491
    "shaderId",	//492
    "shaderType",	//493
    "shaders",	//494
    "showEvent",	//495
    "size",	//496
    "sizeHint",	//497
    "sourceCode",	//498
    "staticMetaObject",	//499
    "stencil",	//500
    "stencilBufferSize",	//501
    "stereo",	//502
    "styleChange",	//503
    "swapBuffers",	//504
    "swapInterval",	//505
    "tabletEvent",	//506
    "testOption",	//507
    "testOption$",	//508
    "texture",	//509
    "textureCacheLimit",	//510
    "textureTarget",	//511
    "timerEvent",	//512
    "toImage",	//513
    "tr",	//514
    "tr$",	//515
    "tr$$",	//516
    "tr$$$",	//517
    "trUtf8",	//518
    "trUtf8$",	//519
    "trUtf8$$",	//520
    "trUtf8$$$",	//521
    "tryVisual",	//522
    "tryVisual#",	//523
    "tryVisual#$",	//524
    "type",	//525
    "uniformLocation",	//526
    "uniformLocation#",	//527
    "uniformLocation$",	//528
    "unmap",	//529
    "updateDynamicTexture",	//530
    "updateDynamicTexture$",	//531
    "updateGL",	//532
    "updateOverlayGL",	//533
    "usagePattern",	//534
    "wheelEvent",	//535
    "windowActivationChange",	//536
    "windowCreated",	//537
    "write",	//538
    "write$$$",	//539
    "x11Event",	//540
    "~QGLBuffer",	//541
    "~QGLColormap",	//542
    "~QGLContext",	//543
    "~QGLFormat",	//544
    "~QGLFramebufferObject",	//545
    "~QGLFramebufferObjectFormat",	//546
    "~QGLPixelBuffer",	//547
    "~QGLShader",	//548
    "~QGLShaderProgram",	//549
    "~QGLWidget",	//550
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {16, 447, 1, 1, Smoke::mf_static, 0, 1},	//1 QGL::setPreferredPaintEngine(QPaintEngine::Type)
    {16, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 2},	//2 QGL::DoubleBuffer (enum)
    {16, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 3},	//3 QGL::DepthBuffer (enum)
    {16, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 4},	//4 QGL::Rgba (enum)
    {16, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 5},	//5 QGL::AlphaChannel (enum)
    {16, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 6},	//6 QGL::AccumBuffer (enum)
    {16, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 7},	//7 QGL::StencilBuffer (enum)
    {16, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 8},	//8 QGL::StereoBuffers (enum)
    {16, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 9},	//9 QGL::DirectRendering (enum)
    {16, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 10},	//10 QGL::HasOverlay (enum)
    {16, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 11},	//11 QGL::SampleBuffers (enum)
    {16, 9, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 12},	//12 QGL::DeprecatedFunctions (enum)
    {16, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 13},	//13 QGL::SingleBuffer (enum)
    {16, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 14},	//14 QGL::NoDepthBuffer (enum)
    {16, 4, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 15},	//15 QGL::ColorIndex (enum)
    {16, 34, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 16},	//16 QGL::NoAlphaChannel (enum)
    {16, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 17},	//17 QGL::NoAccumBuffer (enum)
    {16, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 18},	//18 QGL::NoStencilBuffer (enum)
    {16, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 19},	//19 QGL::NoStereoBuffers (enum)
    {16, 24, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 20},	//20 QGL::IndirectRendering (enum)
    {16, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 21},	//21 QGL::NoOverlay (enum)
    {16, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 22},	//22 QGL::NoSampleBuffers (enum)
    {16, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 29, 23},	//23 QGL::NoDeprecatedFunctions (enum)
    {17, 65, 0, 0, Smoke::mf_ctor, 31, 1},	//24 QGLBuffer::QGLBuffer()
    {17, 65, 3, 1, Smoke::mf_ctor, 31, 2},	//25 QGLBuffer::QGLBuffer(QGLBuffer::Type)
    {17, 65, 5, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//26 QGLBuffer::QGLBuffer(const QGLBuffer&)
    {17, 307, 5, 1, 0, 30, 4},	//27 QGLBuffer::operator=(const QGLBuffer&)
    {17, 525, 0, 0, Smoke::mf_const, 33, 5},	//28 QGLBuffer::type() const
    {17, 534, 0, 0, Smoke::mf_const, 34, 6},	//29 QGLBuffer::usagePattern() const
    {17, 483, 7, 1, 0, 0, 7},	//30 QGLBuffer::setUsagePattern(QGLBuffer::UsagePattern)
    {17, 186, 0, 0, 0, 162, 8},	//31 QGLBuffer::create()
    {17, 273, 0, 0, Smoke::mf_const, 162, 9},	//32 QGLBuffer::isCreated() const
    {17, 197, 0, 0, 0, 0, 10},	//33 QGLBuffer::destroy()
    {17, 148, 0, 0, 0, 162, 11},	//34 QGLBuffer::bind()
    {17, 336, 0, 0, 0, 0, 12},	//35 QGLBuffer::release()
    {17, 336, 3, 1, Smoke::mf_static, 0, 13},	//36 QGLBuffer::release(QGLBuffer::Type)
    {17, 166, 0, 0, Smoke::mf_const, 224, 14},	//37 QGLBuffer::bufferId() const
    {17, 496, 0, 0, Smoke::mf_const, 221, 15},	//38 QGLBuffer::size() const
    {17, 333, 9, 3, 0, 162, 16},	//39 QGLBuffer::read(int, void*, int)
    {17, 538, 13, 3, 0, 0, 17},	//40 QGLBuffer::write(int, const void*, int)
    {17, 136, 17, 2, 0, 0, 18},	//41 QGLBuffer::allocate(const void*, int)
    {17, 136, 20, 1, 0, 0, 19},	//42 QGLBuffer::allocate(int)
    {17, 287, 22, 1, 0, 226, 20},	//43 QGLBuffer::map(QGLBuffer::Access)
    {17, 529, 0, 0, 0, 162, 21},	//44 QGLBuffer::unmap()
    {17, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 22},	//45 QGLBuffer::VertexBuffer (enum)
    {17, 23, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 23},	//46 QGLBuffer::IndexBuffer (enum)
    {17, 62, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 24},	//47 QGLBuffer::PixelPackBuffer (enum)
    {17, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 33, 25},	//48 QGLBuffer::PixelUnpackBuffer (enum)
    {17, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 26},	//49 QGLBuffer::StreamDraw (enum)
    {17, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 27},	//50 QGLBuffer::StreamRead (enum)
    {17, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 28},	//51 QGLBuffer::StreamCopy (enum)
    {17, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 29},	//52 QGLBuffer::StaticDraw (enum)
    {17, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 30},	//53 QGLBuffer::StaticRead (enum)
    {17, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 31},	//54 QGLBuffer::StaticCopy (enum)
    {17, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 32},	//55 QGLBuffer::DynamicDraw (enum)
    {17, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 33},	//56 QGLBuffer::DynamicRead (enum)
    {17, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 34},	//57 QGLBuffer::DynamicCopy (enum)
    {17, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 35},	//58 QGLBuffer::ReadOnly (enum)
    {17, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 36},	//59 QGLBuffer::WriteOnly (enum)
    {17, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 37},	//60 QGLBuffer::ReadWrite (enum)
    {17, 541, 0, 0, Smoke::mf_dtor, 0, 38 },	//61 QGLBuffer::~QGLBuffer()
    {18, 68, 0, 0, Smoke::mf_ctor, 36, 1},	//62 QGLColormap::QGLColormap()
    {18, 68, 24, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 36, 2},	//63 QGLColormap::QGLColormap(const QGLColormap&)
    {18, 307, 24, 1, 0, 35, 3},	//64 QGLColormap::operator=(const QGLColormap&)
    {18, 274, 0, 0, Smoke::mf_const, 162, 4},	//65 QGLColormap::isEmpty() const
    {18, 496, 0, 0, Smoke::mf_const, 221, 5},	//66 QGLColormap::size() const
    {18, 198, 0, 0, 0, 0, 6},	//67 QGLColormap::detach()
    {18, 415, 26, 3, 0, 0, 7},	//68 QGLColormap::setEntries(int, const unsigned int*, int)
    {18, 418, 30, 2, 0, 0, 8},	//69 QGLColormap::setEntry(int, unsigned int)
    {18, 418, 33, 2, 0, 0, 9},	//70 QGLColormap::setEntry(int, const QColor&)
    {18, 221, 20, 1, Smoke::mf_const, 224, 10},	//71 QGLColormap::entryRgb(int) const
    {18, 219, 20, 1, Smoke::mf_const, 13, 11},	//72 QGLColormap::entryColor(int) const
    {18, 226, 36, 1, Smoke::mf_const, 221, 12},	//73 QGLColormap::find(unsigned int) const
    {18, 228, 36, 1, Smoke::mf_const, 221, 13},	//74 QGLColormap::findNearest(unsigned int) const
    {18, 251, 0, 0, Smoke::mf_protected, 225, 14},	//75 QGLColormap::handle()
    {18, 431, 38, 1, Smoke::mf_protected, 0, 15},	//76 QGLColormap::setHandle(unsigned long)
    {18, 415, 40, 2, 0, 0, 16},	//77 QGLColormap::setEntries(int, const unsigned int*)
    {18, 542, 0, 0, Smoke::mf_dtor, 0, 17 },	//78 QGLColormap::~QGLColormap()
    {19, 70, 43, 2, Smoke::mf_ctor, 37, 1},	//79 QGLContext::QGLContext(const QGLFormat&, QPaintDevice*)
    {19, 70, 46, 1, Smoke::mf_ctor, 37, 2},	//80 QGLContext::QGLContext(const QGLFormat&)
    {19, 186, 48, 1, Smoke::mf_virtual, 162, 3},	//81 QGLContext::create(const QGLContext*)
    {19, 277, 0, 0, Smoke::mf_const, 162, 4},	//82 QGLContext::isValid() const
    {19, 276, 0, 0, Smoke::mf_const, 162, 5},	//83 QGLContext::isSharing() const
    {19, 354, 0, 0, 0, 0, 6},	//84 QGLContext::reset()
    {19, 141, 50, 2, Smoke::mf_static, 162, 7},	//85 QGLContext::areSharing(const QGLContext*, const QGLContext*)
    {19, 237, 0, 0, Smoke::mf_const, 39, 8},	//86 QGLContext::format() const
    {19, 353, 0, 0, Smoke::mf_const, 39, 9},	//87 QGLContext::requestedFormat() const
    {19, 421, 46, 1, 0, 0, 10},	//88 QGLContext::setFormat(const QGLFormat&)
    {19, 285, 0, 0, Smoke::mf_virtual, 0, 11},	//89 QGLContext::makeCurrent()
    {19, 206, 0, 0, Smoke::mf_virtual, 0, 12},	//90 QGLContext::doneCurrent()
    {19, 504, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 0, 13},	//91 QGLContext::swapBuffers() const
    {19, 153, 53, 4, 0, 224, 14},	//92 QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {19, 153, 58, 4, 0, 224, 15},	//93 QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {19, 153, 63, 3, 0, 224, 16},	//94 QGLContext::bindTexture(const QImage&, unsigned int, int)
    {19, 153, 67, 3, 0, 224, 17},	//95 QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    {19, 153, 71, 1, 0, 224, 18},	//96 QGLContext::bindTexture(const QString&)
    {19, 193, 36, 1, 0, 0, 19},	//97 QGLContext::deleteTexture(unsigned int)
    {19, 211, 73, 3, 0, 0, 20},	//98 QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    {19, 211, 77, 3, 0, 0, 21},	//99 QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    {19, 467, 20, 1, Smoke::mf_static, 0, 22},	//100 QGLContext::setTextureCacheLimit(int)
    {19, 510, 0, 0, Smoke::mf_static, 221, 23},	//101 QGLContext::textureCacheLimit()
    {19, 244, 71, 1, Smoke::mf_const, 226, 24},	//102 QGLContext::getProcAddress(const QString&) const
    {19, 200, 0, 0, Smoke::mf_const, 65, 25},	//103 QGLContext::device() const
    {19, 315, 0, 0, Smoke::mf_const, 13, 26},	//104 QGLContext::overlayTransparentColor() const
    {19, 188, 0, 0, Smoke::mf_static, 168, 27},	//105 QGLContext::currentContext()
    {19, 169, 48, 1, Smoke::mf_protected|Smoke::mf_virtual, 162, 28},	//106 QGLContext::chooseContext(const QGLContext*)
    {19, 522, 81, 2, Smoke::mf_protected|Smoke::mf_virtual, 226, 29},	//107 QGLContext::tryVisual(const QGLFormat&, int)
    {19, 171, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 226, 30},	//108 QGLContext::chooseVisual()
    {19, 201, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 31},	//109 QGLContext::deviceIsPixmap() const
    {19, 537, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 32},	//110 QGLContext::windowCreated() const
    {19, 490, 84, 1, Smoke::mf_protected, 0, 33},	//111 QGLContext::setWindowCreated(bool)
    {19, 267, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 34},	//112 QGLContext::initialized() const
    {19, 433, 84, 1, Smoke::mf_protected, 0, 35},	//113 QGLContext::setInitialized(bool)
    {19, 239, 86, 2, Smoke::mf_protected, 0, 36},	//114 QGLContext::generateFontDisplayLists(const QFont&, int)
    {19, 173, 89, 1, Smoke::mf_const|Smoke::mf_protected, 224, 37},	//115 QGLContext::colorIndex(const QColor&) const
    {19, 485, 84, 1, Smoke::mf_protected, 0, 38},	//116 QGLContext::setValid(bool)
    {19, 409, 91, 1, Smoke::mf_protected, 0, 39},	//117 QGLContext::setDevice(QPaintDevice*)
    {19, 186, 0, 0, 0, 162, 40},	//118 QGLContext::create()
    {19, 153, 93, 1, 0, 224, 41},	//119 QGLContext::bindTexture(const QImage&)
    {19, 153, 95, 2, 0, 224, 42},	//120 QGLContext::bindTexture(const QImage&, unsigned int)
    {19, 153, 98, 1, 0, 224, 43},	//121 QGLContext::bindTexture(const QPixmap&)
    {19, 153, 100, 2, 0, 224, 44},	//122 QGLContext::bindTexture(const QPixmap&, unsigned int)
    {19, 211, 103, 2, 0, 0, 45},	//123 QGLContext::drawTexture(const QRectF&, unsigned int)
    {19, 211, 106, 2, 0, 0, 46},	//124 QGLContext::drawTexture(const QPointF&, unsigned int)
    {19, 169, 0, 0, Smoke::mf_protected, 162, 47},	//125 QGLContext::chooseContext()
    {19, 522, 46, 1, Smoke::mf_protected, 226, 48},	//126 QGLContext::tryVisual(const QGLFormat&)
    {19, 189, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 37, 49},	//127 QGLContext::currentCtx() const
    {19, 399, 109, 1, Smoke::mf_static|Smoke::mf_protected|Smoke::mf_attribute, 0, 50},	//128 QGLContext::setCurrentCtx(QGLContext*)
    {19, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 51},	//129 QGLContext::NoBindOption (enum)
    {19, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 52},	//130 QGLContext::InvertedYBindOption (enum)
    {19, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 53},	//131 QGLContext::MipmapBindOption (enum)
    {19, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 54},	//132 QGLContext::PremultipliedAlphaBindOption (enum)
    {19, 30, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 55},	//133 QGLContext::LinearFilteringBindOption (enum)
    {19, 31, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 56},	//134 QGLContext::MemoryManagedBindOption (enum)
    {19, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 57},	//135 QGLContext::CanFlipNativePixmapBindOption (enum)
    {19, 8, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 58},	//136 QGLContext::DefaultBindOption (enum)
    {19, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 38, 59},	//137 QGLContext::InternalBindOption (enum)
    {19, 543, 0, 0, Smoke::mf_dtor, 0, 60 },	//138 QGLContext::~QGLContext()
    {20, 73, 0, 0, Smoke::mf_ctor, 41, 1},	//139 QGLFormat::QGLFormat()
    {20, 73, 111, 2, Smoke::mf_ctor, 41, 2},	//140 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>, int)
    {20, 73, 46, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 41, 3},	//141 QGLFormat::QGLFormat(const QGLFormat&)
    {20, 307, 46, 1, 0, 40, 4},	//142 QGLFormat::operator=(const QGLFormat&)
    {20, 407, 20, 1, 0, 0, 5},	//143 QGLFormat::setDepthBufferSize(int)
    {20, 196, 0, 0, Smoke::mf_const, 221, 6},	//144 QGLFormat::depthBufferSize() const
    {20, 366, 20, 1, 0, 0, 7},	//145 QGLFormat::setAccumBufferSize(int)
    {20, 127, 0, 0, Smoke::mf_const, 221, 8},	//146 QGLFormat::accumBufferSize() const
    {20, 451, 20, 1, 0, 0, 9},	//147 QGLFormat::setRedBufferSize(int)
    {20, 335, 0, 0, Smoke::mf_const, 221, 10},	//148 QGLFormat::redBufferSize() const
    {20, 429, 20, 1, 0, 0, 11},	//149 QGLFormat::setGreenBufferSize(int)
    {20, 250, 0, 0, Smoke::mf_const, 221, 12},	//150 QGLFormat::greenBufferSize() const
    {20, 391, 20, 1, 0, 0, 13},	//151 QGLFormat::setBlueBufferSize(int)
    {20, 165, 0, 0, Smoke::mf_const, 221, 14},	//152 QGLFormat::blueBufferSize() const
    {20, 370, 20, 1, 0, 0, 15},	//153 QGLFormat::setAlphaBufferSize(int)
    {20, 140, 0, 0, Smoke::mf_const, 221, 16},	//154 QGLFormat::alphaBufferSize() const
    {20, 461, 20, 1, 0, 0, 17},	//155 QGLFormat::setStencilBufferSize(int)
    {20, 501, 0, 0, Smoke::mf_const, 221, 18},	//156 QGLFormat::stencilBufferSize() const
    {20, 455, 84, 1, 0, 0, 19},	//157 QGLFormat::setSampleBuffers(bool)
    {20, 362, 0, 0, Smoke::mf_const, 162, 20},	//158 QGLFormat::sampleBuffers() const
    {20, 457, 20, 1, 0, 0, 21},	//159 QGLFormat::setSamples(int)
    {20, 363, 0, 0, Smoke::mf_const, 221, 22},	//160 QGLFormat::samples() const
    {20, 465, 20, 1, 0, 0, 23},	//161 QGLFormat::setSwapInterval(int)
    {20, 505, 0, 0, Smoke::mf_const, 221, 24},	//162 QGLFormat::swapInterval() const
    {20, 207, 0, 0, Smoke::mf_const, 162, 25},	//163 QGLFormat::doubleBuffer() const
    {20, 413, 84, 1, 0, 0, 26},	//164 QGLFormat::setDoubleBuffer(bool)
    {20, 195, 0, 0, Smoke::mf_const, 162, 27},	//165 QGLFormat::depth() const
    {20, 405, 84, 1, 0, 0, 28},	//166 QGLFormat::setDepth(bool)
    {20, 361, 0, 0, Smoke::mf_const, 162, 29},	//167 QGLFormat::rgba() const
    {20, 453, 84, 1, 0, 0, 30},	//168 QGLFormat::setRgba(bool)
    {20, 139, 0, 0, Smoke::mf_const, 162, 31},	//169 QGLFormat::alpha() const
    {20, 368, 84, 1, 0, 0, 32},	//170 QGLFormat::setAlpha(bool)
    {20, 126, 0, 0, Smoke::mf_const, 162, 33},	//171 QGLFormat::accum() const
    {20, 364, 84, 1, 0, 0, 34},	//172 QGLFormat::setAccum(bool)
    {20, 500, 0, 0, Smoke::mf_const, 162, 35},	//173 QGLFormat::stencil() const
    {20, 459, 84, 1, 0, 0, 36},	//174 QGLFormat::setStencil(bool)
    {20, 502, 0, 0, Smoke::mf_const, 162, 37},	//175 QGLFormat::stereo() const
    {20, 463, 84, 1, 0, 0, 38},	//176 QGLFormat::setStereo(bool)
    {20, 202, 0, 0, Smoke::mf_const, 162, 39},	//177 QGLFormat::directRendering() const
    {20, 411, 84, 1, 0, 0, 40},	//178 QGLFormat::setDirectRendering(bool)
    {20, 262, 0, 0, Smoke::mf_const, 162, 41},	//179 QGLFormat::hasOverlay() const
    {20, 443, 84, 1, 0, 0, 42},	//180 QGLFormat::setOverlay(bool)
    {20, 322, 0, 0, Smoke::mf_const, 221, 43},	//181 QGLFormat::plane() const
    {20, 445, 20, 1, 0, 0, 44},	//182 QGLFormat::setPlane(int)
    {20, 441, 114, 1, 0, 0, 45},	//183 QGLFormat::setOption(QFlags<QGL::FormatOption>)
    {20, 507, 114, 1, Smoke::mf_const, 162, 46},	//184 QGLFormat::testOption(QFlags<QGL::FormatOption>) const
    {20, 191, 0, 0, Smoke::mf_static, 39, 47},	//185 QGLFormat::defaultFormat()
    {20, 401, 46, 1, Smoke::mf_static, 0, 48},	//186 QGLFormat::setDefaultFormat(const QGLFormat&)
    {20, 192, 0, 0, Smoke::mf_static, 39, 49},	//187 QGLFormat::defaultOverlayFormat()
    {20, 403, 46, 1, Smoke::mf_static, 0, 50},	//188 QGLFormat::setDefaultOverlayFormat(const QGLFormat&)
    {20, 252, 0, 0, Smoke::mf_static, 162, 51},	//189 QGLFormat::hasOpenGL()
    {20, 255, 0, 0, Smoke::mf_static, 162, 52},	//190 QGLFormat::hasOpenGLOverlays()
    {20, 487, 116, 2, 0, 0, 53},	//191 QGLFormat::setVersion(int, int)
    {20, 284, 0, 0, Smoke::mf_const, 221, 54},	//192 QGLFormat::majorVersion() const
    {20, 294, 0, 0, Smoke::mf_const, 221, 55},	//193 QGLFormat::minorVersion() const
    {20, 449, 119, 1, 0, 0, 56},	//194 QGLFormat::setProfile(QGLFormat::OpenGLContextProfile)
    {20, 323, 0, 0, Smoke::mf_const, 42, 57},	//195 QGLFormat::profile() const
    {20, 301, 0, 0, Smoke::mf_static, 24, 58},	//196 QGLFormat::openGLVersionFlags()
    {20, 73, 114, 1, Smoke::mf_ctor, 41, 59},	//197 QGLFormat::QGLFormat(QFlags<QGL::FormatOption>)
    {20, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 60},	//198 QGLFormat::NoProfile (enum)
    {20, 7, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 61},	//199 QGLFormat::CoreProfile (enum)
    {20, 6, 0, 0, Smoke::mf_static|Smoke::mf_enum, 42, 62},	//200 QGLFormat::CompatibilityProfile (enum)
    {20, 61, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 63},	//201 QGLFormat::OpenGL_Version_None (enum)
    {20, 49, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 64},	//202 QGLFormat::OpenGL_Version_1_1 (enum)
    {20, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 65},	//203 QGLFormat::OpenGL_Version_1_2 (enum)
    {20, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 66},	//204 QGLFormat::OpenGL_Version_1_3 (enum)
    {20, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 67},	//205 QGLFormat::OpenGL_Version_1_4 (enum)
    {20, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 68},	//206 QGLFormat::OpenGL_Version_1_5 (enum)
    {20, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 69},	//207 QGLFormat::OpenGL_Version_2_0 (enum)
    {20, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 70},	//208 QGLFormat::OpenGL_Version_2_1 (enum)
    {20, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 71},	//209 QGLFormat::OpenGL_ES_Common_Version_1_0 (enum)
    {20, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 72},	//210 QGLFormat::OpenGL_ES_CommonLite_Version_1_0 (enum)
    {20, 47, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 73},	//211 QGLFormat::OpenGL_ES_Common_Version_1_1 (enum)
    {20, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 74},	//212 QGLFormat::OpenGL_ES_CommonLite_Version_1_1 (enum)
    {20, 48, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 75},	//213 QGLFormat::OpenGL_ES_Version_2_0 (enum)
    {20, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 76},	//214 QGLFormat::OpenGL_Version_3_0 (enum)
    {20, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 77},	//215 QGLFormat::OpenGL_Version_3_1 (enum)
    {20, 58, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 78},	//216 QGLFormat::OpenGL_Version_3_2 (enum)
    {20, 59, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 79},	//217 QGLFormat::OpenGL_Version_3_3 (enum)
    {20, 60, 0, 0, Smoke::mf_static|Smoke::mf_enum, 43, 80},	//218 QGLFormat::OpenGL_Version_4_0 (enum)
    {20, 544, 0, 0, Smoke::mf_dtor, 0, 81 },	//219 QGLFormat::~QGLFormat()
    {21, 77, 121, 2, Smoke::mf_ctor, 44, 1},	//220 QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    {21, 77, 124, 3, Smoke::mf_ctor, 44, 2},	//221 QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    {21, 77, 128, 4, Smoke::mf_ctor, 44, 3},	//222 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {21, 77, 133, 5, Smoke::mf_ctor, 44, 4},	//223 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int, unsigned int)
    {21, 77, 139, 2, Smoke::mf_ctor, 44, 5},	//224 QGLFramebufferObject::QGLFramebufferObject(const QSize&, const QGLFramebufferObjectFormat&)
    {21, 77, 142, 3, Smoke::mf_ctor, 44, 6},	//225 QGLFramebufferObject::QGLFramebufferObject(int, int, const QGLFramebufferObjectFormat&)
    {21, 237, 0, 0, Smoke::mf_const, 46, 7},	//226 QGLFramebufferObject::format() const
    {21, 277, 0, 0, Smoke::mf_const, 162, 8},	//227 QGLFramebufferObject::isValid() const
    {21, 271, 0, 0, Smoke::mf_const, 162, 9},	//228 QGLFramebufferObject::isBound() const
    {21, 148, 0, 0, 0, 162, 10},	//229 QGLFramebufferObject::bind()
    {21, 336, 0, 0, 0, 162, 11},	//230 QGLFramebufferObject::release()
    {21, 509, 0, 0, Smoke::mf_const, 224, 12},	//231 QGLFramebufferObject::texture() const
    {21, 496, 0, 0, Smoke::mf_const, 74, 13},	//232 QGLFramebufferObject::size() const
    {21, 513, 0, 0, Smoke::mf_const, 56, 14},	//233 QGLFramebufferObject::toImage() const
    {21, 143, 0, 0, Smoke::mf_const, 45, 15},	//234 QGLFramebufferObject::attachment() const
    {21, 316, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 67, 16},	//235 QGLFramebufferObject::paintEngine() const
    {21, 251, 0, 0, Smoke::mf_const, 224, 17},	//236 QGLFramebufferObject::handle() const
    {21, 152, 0, 0, Smoke::mf_static, 162, 18},	//237 QGLFramebufferObject::bindDefault()
    {21, 254, 0, 0, Smoke::mf_static, 162, 19},	//238 QGLFramebufferObject::hasOpenGLFramebufferObjects()
    {21, 211, 73, 3, 0, 0, 20},	//239 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    {21, 211, 77, 3, 0, 0, 21},	//240 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    {21, 253, 0, 0, Smoke::mf_static, 162, 22},	//241 QGLFramebufferObject::hasOpenGLFramebufferBlit()
    {21, 161, 146, 6, Smoke::mf_static, 0, 23},	//242 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int, unsigned int)
    {21, 291, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 24},	//243 QGLFramebufferObject::metric(QPaintDevice::PaintDeviceMetric) const
    {21, 199, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 25},	//244 QGLFramebufferObject::devType() const
    {21, 77, 155, 1, Smoke::mf_ctor, 44, 26},	//245 QGLFramebufferObject::QGLFramebufferObject(const QSize&)
    {21, 77, 116, 2, Smoke::mf_ctor, 44, 27},	//246 QGLFramebufferObject::QGLFramebufferObject(int, int)
    {21, 77, 157, 2, Smoke::mf_ctor, 44, 28},	//247 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    {21, 77, 160, 3, Smoke::mf_ctor, 44, 29},	//248 QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment, unsigned int)
    {21, 77, 164, 3, Smoke::mf_ctor, 44, 30},	//249 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    {21, 77, 168, 4, Smoke::mf_ctor, 44, 31},	//250 QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment, unsigned int)
    {21, 211, 103, 2, 0, 0, 32},	//251 QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    {21, 211, 106, 2, 0, 0, 33},	//252 QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    {21, 161, 173, 4, Smoke::mf_static, 0, 34},	//253 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&)
    {21, 161, 178, 5, Smoke::mf_static, 0, 35},	//254 QGLFramebufferObject::blitFramebuffer(QGLFramebufferObject*, const QRect&, QGLFramebufferObject*, const QRect&, unsigned int)
    {21, 35, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 36},	//255 QGLFramebufferObject::NoAttachment (enum)
    {21, 5, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 37},	//256 QGLFramebufferObject::CombinedDepthStencil (enum)
    {21, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 45, 38},	//257 QGLFramebufferObject::Depth (enum)
    {21, 545, 0, 0, Smoke::mf_dtor, 0, 39 },	//258 QGLFramebufferObject::~QGLFramebufferObject()
    {22, 88, 0, 0, Smoke::mf_ctor, 48, 1},	//259 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat()
    {22, 88, 184, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 48, 2},	//260 QGLFramebufferObjectFormat::QGLFramebufferObjectFormat(const QGLFramebufferObjectFormat&)
    {22, 307, 184, 1, 0, 47, 3},	//261 QGLFramebufferObjectFormat::operator=(const QGLFramebufferObjectFormat&)
    {22, 457, 20, 1, 0, 0, 4},	//262 QGLFramebufferObjectFormat::setSamples(int)
    {22, 363, 0, 0, Smoke::mf_const, 221, 5},	//263 QGLFramebufferObjectFormat::samples() const
    {22, 437, 84, 1, 0, 0, 6},	//264 QGLFramebufferObjectFormat::setMipmap(bool)
    {22, 295, 0, 0, Smoke::mf_const, 162, 7},	//265 QGLFramebufferObjectFormat::mipmap() const
    {22, 372, 186, 1, 0, 0, 8},	//266 QGLFramebufferObjectFormat::setAttachment(QGLFramebufferObject::Attachment)
    {22, 143, 0, 0, Smoke::mf_const, 45, 9},	//267 QGLFramebufferObjectFormat::attachment() const
    {22, 469, 36, 1, 0, 0, 10},	//268 QGLFramebufferObjectFormat::setTextureTarget(unsigned int)
    {22, 511, 0, 0, Smoke::mf_const, 224, 11},	//269 QGLFramebufferObjectFormat::textureTarget() const
    {22, 435, 36, 1, 0, 0, 12},	//270 QGLFramebufferObjectFormat::setInternalTextureFormat(unsigned int)
    {22, 270, 0, 0, Smoke::mf_const, 224, 13},	//271 QGLFramebufferObjectFormat::internalTextureFormat() const
    {22, 309, 184, 1, Smoke::mf_const, 162, 14},	//272 QGLFramebufferObjectFormat::operator==(const QGLFramebufferObjectFormat&) const
    {22, 302, 184, 1, Smoke::mf_const, 162, 15},	//273 QGLFramebufferObjectFormat::operator!=(const QGLFramebufferObjectFormat&) const
    {22, 546, 0, 0, Smoke::mf_dtor, 0, 16 },	//274 QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat()
    {23, 90, 188, 3, Smoke::mf_ctor, 50, 1},	//275 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&, QGLWidget*)
    {23, 90, 192, 4, Smoke::mf_ctor, 50, 2},	//276 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&, QGLWidget*)
    {23, 277, 0, 0, Smoke::mf_const, 162, 3},	//277 QGLPixelBuffer::isValid() const
    {23, 285, 0, 0, 0, 162, 4},	//278 QGLPixelBuffer::makeCurrent()
    {23, 206, 0, 0, 0, 162, 5},	//279 QGLPixelBuffer::doneCurrent()
    {23, 238, 0, 0, Smoke::mf_const, 224, 6},	//280 QGLPixelBuffer::generateDynamicTexture() const
    {23, 159, 36, 1, 0, 162, 7},	//281 QGLPixelBuffer::bindToDynamicTexture(unsigned int)
    {23, 338, 0, 0, 0, 0, 8},	//282 QGLPixelBuffer::releaseFromDynamicTexture()
    {23, 530, 36, 1, Smoke::mf_const, 0, 9},	//283 QGLPixelBuffer::updateDynamicTexture(unsigned int) const
    {23, 153, 95, 2, 0, 224, 10},	//284 QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    {23, 153, 100, 2, 0, 224, 11},	//285 QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    {23, 153, 71, 1, 0, 224, 12},	//286 QGLPixelBuffer::bindTexture(const QString&)
    {23, 193, 36, 1, 0, 0, 13},	//287 QGLPixelBuffer::deleteTexture(unsigned int)
    {23, 211, 73, 3, 0, 0, 14},	//288 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    {23, 211, 77, 3, 0, 0, 15},	//289 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    {23, 496, 0, 0, Smoke::mf_const, 74, 16},	//290 QGLPixelBuffer::size() const
    {23, 251, 0, 0, Smoke::mf_const, 225, 17},	//291 QGLPixelBuffer::handle() const
    {23, 513, 0, 0, Smoke::mf_const, 56, 18},	//292 QGLPixelBuffer::toImage() const
    {23, 316, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 67, 19},	//293 QGLPixelBuffer::paintEngine() const
    {23, 237, 0, 0, Smoke::mf_const, 39, 20},	//294 QGLPixelBuffer::format() const
    {23, 256, 0, 0, Smoke::mf_static, 162, 21},	//295 QGLPixelBuffer::hasOpenGLPbuffers()
    {23, 291, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 22},	//296 QGLPixelBuffer::metric(QPaintDevice::PaintDeviceMetric) const
    {23, 199, 0, 0, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 23},	//297 QGLPixelBuffer::devType() const
    {23, 90, 155, 1, Smoke::mf_ctor, 50, 24},	//298 QGLPixelBuffer::QGLPixelBuffer(const QSize&)
    {23, 90, 197, 2, Smoke::mf_ctor, 50, 25},	//299 QGLPixelBuffer::QGLPixelBuffer(const QSize&, const QGLFormat&)
    {23, 90, 116, 2, Smoke::mf_ctor, 50, 26},	//300 QGLPixelBuffer::QGLPixelBuffer(int, int)
    {23, 90, 200, 3, Smoke::mf_ctor, 50, 27},	//301 QGLPixelBuffer::QGLPixelBuffer(int, int, const QGLFormat&)
    {23, 153, 93, 1, 0, 224, 28},	//302 QGLPixelBuffer::bindTexture(const QImage&)
    {23, 153, 98, 1, 0, 224, 29},	//303 QGLPixelBuffer::bindTexture(const QPixmap&)
    {23, 211, 103, 2, 0, 0, 30},	//304 QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    {23, 211, 106, 2, 0, 0, 31},	//305 QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    {23, 547, 0, 0, Smoke::mf_dtor, 0, 32 },	//306 QGLPixelBuffer::~QGLPixelBuffer()
    {24, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 192, 1},	//307 QGLShader::metaObject() const
    {24, 331, 204, 1, Smoke::mf_virtual, 226, 2},	//308 QGLShader::qt_metacast(const char*)
    {24, 514, 206, 2, Smoke::mf_static, 75, 3},	//309 QGLShader::tr(const char*, const char*)
    {24, 518, 206, 2, Smoke::mf_static, 75, 4},	//310 QGLShader::trUtf8(const char*, const char*)
    {24, 514, 209, 3, Smoke::mf_static, 75, 5},	//311 QGLShader::tr(const char*, const char*, int)
    {24, 518, 209, 3, Smoke::mf_static, 75, 6},	//312 QGLShader::trUtf8(const char*, const char*, int)
    {24, 329, 213, 3, Smoke::mf_virtual, 221, 7},	//313 QGLShader::qt_metacall(QMetaObject::Call, int, void**)
    {24, 97, 217, 2, Smoke::mf_ctor, 51, 8},	//314 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    {24, 97, 220, 3, Smoke::mf_ctor, 51, 9},	//315 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*, QObject*)
    {24, 493, 0, 0, Smoke::mf_const, 26, 10},	//316 QGLShader::shaderType() const
    {24, 176, 204, 1, 0, 162, 11},	//317 QGLShader::compileSourceCode(const char*)
    {24, 176, 224, 1, 0, 162, 12},	//318 QGLShader::compileSourceCode(const QByteArray&)
    {24, 176, 71, 1, 0, 162, 13},	//319 QGLShader::compileSourceCode(const QString&)
    {24, 179, 71, 1, 0, 162, 14},	//320 QGLShader::compileSourceFile(const QString&)
    {24, 498, 0, 0, Smoke::mf_const, 10, 15},	//321 QGLShader::sourceCode() const
    {24, 272, 0, 0, Smoke::mf_const, 162, 16},	//322 QGLShader::isCompiled() const
    {24, 283, 0, 0, Smoke::mf_const, 75, 17},	//323 QGLShader::log() const
    {24, 492, 0, 0, Smoke::mf_const, 224, 18},	//324 QGLShader::shaderId() const
    {24, 259, 226, 2, Smoke::mf_static, 162, 19},	//325 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {24, 514, 204, 1, Smoke::mf_static, 75, 20},	//326 QGLShader::tr(const char*)
    {24, 518, 204, 1, Smoke::mf_static, 75, 21},	//327 QGLShader::trUtf8(const char*)
    {24, 97, 229, 1, Smoke::mf_ctor, 51, 22},	//328 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>)
    {24, 97, 226, 2, Smoke::mf_ctor, 51, 23},	//329 QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    {24, 259, 229, 1, Smoke::mf_static, 162, 24},	//330 QGLShader::hasOpenGLShaders(QFlags<QGLShader::ShaderTypeBit>)
    {24, 499, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 191, 25},	//331 QGLShader::staticMetaObject() const
    {24, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 26},	//332 QGLShader::Vertex (enum)
    {24, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 27},	//333 QGLShader::Fragment (enum)
    {24, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 52, 28},	//334 QGLShader::Geometry (enum)
    {24, 548, 0, 0, Smoke::mf_dtor, 0, 29 },	//335 QGLShader::~QGLShader()
    {25, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 192, 1},	//336 QGLShaderProgram::metaObject() const
    {25, 331, 204, 1, Smoke::mf_virtual, 226, 2},	//337 QGLShaderProgram::qt_metacast(const char*)
    {25, 514, 206, 2, Smoke::mf_static, 75, 3},	//338 QGLShaderProgram::tr(const char*, const char*)
    {25, 518, 206, 2, Smoke::mf_static, 75, 4},	//339 QGLShaderProgram::trUtf8(const char*, const char*)
    {25, 514, 209, 3, Smoke::mf_static, 75, 5},	//340 QGLShaderProgram::tr(const char*, const char*, int)
    {25, 518, 209, 3, Smoke::mf_static, 75, 6},	//341 QGLShaderProgram::trUtf8(const char*, const char*, int)
    {25, 329, 213, 3, Smoke::mf_virtual, 221, 7},	//342 QGLShaderProgram::qt_metacall(QMetaObject::Call, int, void**)
    {25, 101, 231, 1, Smoke::mf_ctor, 53, 8},	//343 QGLShaderProgram::QGLShaderProgram(QObject*)
    {25, 101, 233, 2, Smoke::mf_ctor, 53, 9},	//344 QGLShaderProgram::QGLShaderProgram(const QGLContext*, QObject*)
    {25, 129, 236, 1, 0, 162, 10},	//345 QGLShaderProgram::addShader(QGLShader*)
    {25, 340, 236, 1, 0, 0, 11},	//346 QGLShaderProgram::removeShader(QGLShader*)
    {25, 494, 0, 0, Smoke::mf_const, 60, 12},	//347 QGLShaderProgram::shaders() const
    {25, 131, 238, 2, 0, 162, 13},	//348 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    {25, 131, 241, 2, 0, 162, 14},	//349 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QByteArray&)
    {25, 131, 244, 2, 0, 162, 15},	//350 QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {25, 134, 244, 2, 0, 162, 16},	//351 QGLShaderProgram::addShaderFromSourceFile(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    {25, 339, 0, 0, 0, 0, 17},	//352 QGLShaderProgram::removeAllShaders()
    {25, 282, 0, 0, Smoke::mf_virtual, 162, 18},	//353 QGLShaderProgram::link()
    {25, 275, 0, 0, Smoke::mf_const, 162, 19},	//354 QGLShaderProgram::isLinked() const
    {25, 283, 0, 0, Smoke::mf_const, 75, 20},	//355 QGLShaderProgram::log() const
    {25, 148, 0, 0, 0, 162, 21},	//356 QGLShaderProgram::bind()
    {25, 336, 0, 0, 0, 0, 22},	//357 QGLShaderProgram::release()
    {25, 324, 0, 0, Smoke::mf_const, 224, 23},	//358 QGLShaderProgram::programId() const
    {25, 289, 0, 0, Smoke::mf_const, 221, 24},	//359 QGLShaderProgram::maxGeometryOutputVertices() const
    {25, 427, 20, 1, 0, 0, 25},	//360 QGLShaderProgram::setGeometryOutputVertexCount(int)
    {25, 243, 0, 0, Smoke::mf_const, 221, 26},	//361 QGLShaderProgram::geometryOutputVertexCount() const
    {25, 423, 36, 1, 0, 0, 27},	//362 QGLShaderProgram::setGeometryInputType(unsigned int)
    {25, 241, 0, 0, Smoke::mf_const, 224, 28},	//363 QGLShaderProgram::geometryInputType() const
    {25, 425, 36, 1, 0, 0, 29},	//364 QGLShaderProgram::setGeometryOutputType(unsigned int)
    {25, 242, 0, 0, Smoke::mf_const, 224, 30},	//365 QGLShaderProgram::geometryOutputType() const
    {25, 149, 247, 2, 0, 0, 31},	//366 QGLShaderProgram::bindAttributeLocation(const char*, int)
    {25, 149, 250, 2, 0, 0, 32},	//367 QGLShaderProgram::bindAttributeLocation(const QByteArray&, int)
    {25, 149, 253, 2, 0, 0, 33},	//368 QGLShaderProgram::bindAttributeLocation(const QString&, int)
    {25, 144, 204, 1, Smoke::mf_const, 221, 34},	//369 QGLShaderProgram::attributeLocation(const char*) const
    {25, 144, 224, 1, Smoke::mf_const, 221, 35},	//370 QGLShaderProgram::attributeLocation(const QByteArray&) const
    {25, 144, 71, 1, Smoke::mf_const, 221, 36},	//371 QGLShaderProgram::attributeLocation(const QString&) const
    {25, 383, 256, 2, 0, 0, 37},	//372 QGLShaderProgram::setAttributeValue(int, float)
    {25, 383, 259, 3, 0, 0, 38},	//373 QGLShaderProgram::setAttributeValue(int, float, float)
    {25, 383, 263, 4, 0, 0, 39},	//374 QGLShaderProgram::setAttributeValue(int, float, float, float)
    {25, 383, 268, 5, 0, 0, 40},	//375 QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    {25, 383, 274, 2, 0, 0, 41},	//376 QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    {25, 383, 277, 2, 0, 0, 42},	//377 QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    {25, 383, 280, 2, 0, 0, 43},	//378 QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    {25, 383, 33, 2, 0, 0, 44},	//379 QGLShaderProgram::setAttributeValue(int, const QColor&)
    {25, 383, 283, 4, 0, 0, 45},	//380 QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    {25, 383, 288, 2, 0, 0, 46},	//381 QGLShaderProgram::setAttributeValue(const char*, float)
    {25, 383, 291, 3, 0, 0, 47},	//382 QGLShaderProgram::setAttributeValue(const char*, float, float)
    {25, 383, 295, 4, 0, 0, 48},	//383 QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    {25, 383, 300, 5, 0, 0, 49},	//384 QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    {25, 383, 306, 2, 0, 0, 50},	//385 QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    {25, 383, 309, 2, 0, 0, 51},	//386 QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    {25, 383, 312, 2, 0, 0, 52},	//387 QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    {25, 383, 315, 2, 0, 0, 53},	//388 QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    {25, 383, 318, 4, 0, 0, 54},	//389 QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    {25, 374, 283, 4, 0, 0, 55},	//390 QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    {25, 374, 323, 3, 0, 0, 56},	//391 QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    {25, 374, 327, 3, 0, 0, 57},	//392 QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    {25, 374, 331, 3, 0, 0, 58},	//393 QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    {25, 374, 335, 5, 0, 0, 59},	//394 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    {25, 374, 318, 4, 0, 0, 60},	//395 QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    {25, 374, 341, 3, 0, 0, 61},	//396 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    {25, 374, 345, 3, 0, 0, 62},	//397 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    {25, 374, 349, 3, 0, 0, 63},	//398 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    {25, 374, 353, 5, 0, 0, 64},	//399 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    {25, 380, 359, 5, 0, 0, 65},	//400 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    {25, 380, 365, 5, 0, 0, 66},	//401 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    {25, 215, 20, 1, 0, 0, 67},	//402 QGLShaderProgram::enableAttributeArray(int)
    {25, 215, 204, 1, 0, 0, 68},	//403 QGLShaderProgram::enableAttributeArray(const char*)
    {25, 203, 20, 1, 0, 0, 69},	//404 QGLShaderProgram::disableAttributeArray(int)
    {25, 203, 204, 1, 0, 0, 70},	//405 QGLShaderProgram::disableAttributeArray(const char*)
    {25, 526, 204, 1, Smoke::mf_const, 221, 71},	//406 QGLShaderProgram::uniformLocation(const char*) const
    {25, 526, 224, 1, Smoke::mf_const, 221, 72},	//407 QGLShaderProgram::uniformLocation(const QByteArray&) const
    {25, 526, 71, 1, Smoke::mf_const, 221, 73},	//408 QGLShaderProgram::uniformLocation(const QString&) const
    {25, 471, 256, 2, 0, 0, 74},	//409 QGLShaderProgram::setUniformValue(int, float)
    {25, 471, 116, 2, 0, 0, 75},	//410 QGLShaderProgram::setUniformValue(int, int)
    {25, 471, 30, 2, 0, 0, 76},	//411 QGLShaderProgram::setUniformValue(int, unsigned int)
    {25, 471, 259, 3, 0, 0, 77},	//412 QGLShaderProgram::setUniformValue(int, float, float)
    {25, 471, 263, 4, 0, 0, 78},	//413 QGLShaderProgram::setUniformValue(int, float, float, float)
    {25, 471, 268, 5, 0, 0, 79},	//414 QGLShaderProgram::setUniformValue(int, float, float, float, float)
    {25, 471, 274, 2, 0, 0, 80},	//415 QGLShaderProgram::setUniformValue(int, const QVector2D&)
    {25, 471, 277, 2, 0, 0, 81},	//416 QGLShaderProgram::setUniformValue(int, const QVector3D&)
    {25, 471, 280, 2, 0, 0, 82},	//417 QGLShaderProgram::setUniformValue(int, const QVector4D&)
    {25, 471, 33, 2, 0, 0, 83},	//418 QGLShaderProgram::setUniformValue(int, const QColor&)
    {25, 471, 371, 2, 0, 0, 84},	//419 QGLShaderProgram::setUniformValue(int, const QPoint&)
    {25, 471, 374, 2, 0, 0, 85},	//420 QGLShaderProgram::setUniformValue(int, const QPointF&)
    {25, 471, 377, 2, 0, 0, 86},	//421 QGLShaderProgram::setUniformValue(int, const QSize&)
    {25, 471, 380, 2, 0, 0, 87},	//422 QGLShaderProgram::setUniformValue(int, const QSizeF&)
    {25, 471, 383, 2, 0, 0, 88},	//423 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    {25, 471, 386, 2, 0, 0, 89},	//424 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    {25, 471, 389, 2, 0, 0, 90},	//425 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    {25, 471, 392, 2, 0, 0, 91},	//426 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    {25, 471, 395, 2, 0, 0, 92},	//427 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    {25, 471, 398, 2, 0, 0, 93},	//428 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    {25, 471, 401, 2, 0, 0, 94},	//429 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    {25, 471, 404, 2, 0, 0, 95},	//430 QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    {25, 471, 407, 2, 0, 0, 96},	//431 QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    {25, 471, 410, 2, 0, 0, 97},	//432 QGLShaderProgram::setUniformValue(int, const float[2][2])
    {25, 471, 413, 2, 0, 0, 98},	//433 QGLShaderProgram::setUniformValue(int, const float[3][3])
    {25, 471, 416, 2, 0, 0, 99},	//434 QGLShaderProgram::setUniformValue(int, const float[4][4])
    {25, 471, 419, 2, 0, 0, 100},	//435 QGLShaderProgram::setUniformValue(int, const QTransform&)
    {25, 471, 288, 2, 0, 0, 101},	//436 QGLShaderProgram::setUniformValue(const char*, float)
    {25, 471, 247, 2, 0, 0, 102},	//437 QGLShaderProgram::setUniformValue(const char*, int)
    {25, 471, 422, 2, 0, 0, 103},	//438 QGLShaderProgram::setUniformValue(const char*, unsigned int)
    {25, 471, 291, 3, 0, 0, 104},	//439 QGLShaderProgram::setUniformValue(const char*, float, float)
    {25, 471, 295, 4, 0, 0, 105},	//440 QGLShaderProgram::setUniformValue(const char*, float, float, float)
    {25, 471, 300, 5, 0, 0, 106},	//441 QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    {25, 471, 306, 2, 0, 0, 107},	//442 QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    {25, 471, 309, 2, 0, 0, 108},	//443 QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    {25, 471, 312, 2, 0, 0, 109},	//444 QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    {25, 471, 315, 2, 0, 0, 110},	//445 QGLShaderProgram::setUniformValue(const char*, const QColor&)
    {25, 471, 425, 2, 0, 0, 111},	//446 QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    {25, 471, 428, 2, 0, 0, 112},	//447 QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    {25, 471, 431, 2, 0, 0, 113},	//448 QGLShaderProgram::setUniformValue(const char*, const QSize&)
    {25, 471, 434, 2, 0, 0, 114},	//449 QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    {25, 471, 437, 2, 0, 0, 115},	//450 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    {25, 471, 440, 2, 0, 0, 116},	//451 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    {25, 471, 443, 2, 0, 0, 117},	//452 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    {25, 471, 446, 2, 0, 0, 118},	//453 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    {25, 471, 449, 2, 0, 0, 119},	//454 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    {25, 471, 452, 2, 0, 0, 120},	//455 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    {25, 471, 455, 2, 0, 0, 121},	//456 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    {25, 471, 458, 2, 0, 0, 122},	//457 QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    {25, 471, 461, 2, 0, 0, 123},	//458 QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    {25, 471, 464, 2, 0, 0, 124},	//459 QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    {25, 471, 467, 2, 0, 0, 125},	//460 QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    {25, 471, 470, 2, 0, 0, 126},	//461 QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    {25, 471, 473, 2, 0, 0, 127},	//462 QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    {25, 478, 283, 4, 0, 0, 128},	//463 QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    {25, 478, 476, 3, 0, 0, 129},	//464 QGLShaderProgram::setUniformValueArray(int, const int*, int)
    {25, 478, 26, 3, 0, 0, 130},	//465 QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    {25, 478, 323, 3, 0, 0, 131},	//466 QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    {25, 478, 327, 3, 0, 0, 132},	//467 QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    {25, 478, 331, 3, 0, 0, 133},	//468 QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    {25, 478, 480, 3, 0, 0, 134},	//469 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    {25, 478, 484, 3, 0, 0, 135},	//470 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    {25, 478, 488, 3, 0, 0, 136},	//471 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    {25, 478, 492, 3, 0, 0, 137},	//472 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    {25, 478, 496, 3, 0, 0, 138},	//473 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    {25, 478, 500, 3, 0, 0, 139},	//474 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    {25, 478, 504, 3, 0, 0, 140},	//475 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    {25, 478, 508, 3, 0, 0, 141},	//476 QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    {25, 478, 512, 3, 0, 0, 142},	//477 QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    {25, 478, 318, 4, 0, 0, 143},	//478 QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    {25, 478, 516, 3, 0, 0, 144},	//479 QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    {25, 478, 520, 3, 0, 0, 145},	//480 QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    {25, 478, 341, 3, 0, 0, 146},	//481 QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    {25, 478, 345, 3, 0, 0, 147},	//482 QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    {25, 478, 349, 3, 0, 0, 148},	//483 QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    {25, 478, 524, 3, 0, 0, 149},	//484 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    {25, 478, 528, 3, 0, 0, 150},	//485 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    {25, 478, 532, 3, 0, 0, 151},	//486 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    {25, 478, 536, 3, 0, 0, 152},	//487 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    {25, 478, 540, 3, 0, 0, 153},	//488 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    {25, 478, 544, 3, 0, 0, 154},	//489 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    {25, 478, 548, 3, 0, 0, 155},	//490 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    {25, 478, 552, 3, 0, 0, 156},	//491 QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    {25, 478, 556, 3, 0, 0, 157},	//492 QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    {25, 257, 48, 1, Smoke::mf_static, 162, 158},	//493 QGLShaderProgram::hasOpenGLShaderPrograms(const QGLContext*)
    {25, 514, 204, 1, Smoke::mf_static, 75, 159},	//494 QGLShaderProgram::tr(const char*)
    {25, 518, 204, 1, Smoke::mf_static, 75, 160},	//495 QGLShaderProgram::trUtf8(const char*)
    {25, 101, 0, 0, Smoke::mf_ctor, 53, 161},	//496 QGLShaderProgram::QGLShaderProgram()
    {25, 101, 48, 1, Smoke::mf_ctor, 53, 162},	//497 QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    {25, 374, 560, 3, 0, 0, 163},	//498 QGLShaderProgram::setAttributeArray(int, const float*, int)
    {25, 374, 564, 2, 0, 0, 164},	//499 QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    {25, 374, 567, 2, 0, 0, 165},	//500 QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    {25, 374, 570, 2, 0, 0, 166},	//501 QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    {25, 374, 573, 4, 0, 0, 167},	//502 QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    {25, 374, 578, 3, 0, 0, 168},	//503 QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    {25, 374, 582, 2, 0, 0, 169},	//504 QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    {25, 374, 585, 2, 0, 0, 170},	//505 QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    {25, 374, 588, 2, 0, 0, 171},	//506 QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    {25, 374, 591, 4, 0, 0, 172},	//507 QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    {25, 380, 596, 4, 0, 0, 173},	//508 QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    {25, 380, 601, 4, 0, 0, 174},	//509 QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    {25, 257, 0, 0, Smoke::mf_static, 162, 175},	//510 QGLShaderProgram::hasOpenGLShaderPrograms()
    {25, 499, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 191, 176},	//511 QGLShaderProgram::staticMetaObject() const
    {25, 549, 0, 0, Smoke::mf_dtor, 0, 177 },	//512 QGLShaderProgram::~QGLShaderProgram()
    {26, 290, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 192, 1},	//513 QGLWidget::metaObject() const
    {26, 331, 204, 1, Smoke::mf_virtual, 226, 2},	//514 QGLWidget::qt_metacast(const char*)
    {26, 514, 206, 2, Smoke::mf_static, 75, 3},	//515 QGLWidget::tr(const char*, const char*)
    {26, 518, 206, 2, Smoke::mf_static, 75, 4},	//516 QGLWidget::trUtf8(const char*, const char*)
    {26, 514, 209, 3, Smoke::mf_static, 75, 5},	//517 QGLWidget::tr(const char*, const char*, int)
    {26, 518, 209, 3, Smoke::mf_static, 75, 6},	//518 QGLWidget::trUtf8(const char*, const char*, int)
    {26, 329, 213, 3, Smoke::mf_virtual, 221, 7},	//519 QGLWidget::qt_metacall(QMetaObject::Call, int, void**)
    {26, 104, 606, 3, Smoke::mf_ctor, 54, 8},	//520 QGLWidget::QGLWidget(QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {26, 104, 610, 4, Smoke::mf_ctor, 54, 9},	//521 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {26, 104, 615, 4, Smoke::mf_ctor, 54, 10},	//522 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    {26, 327, 89, 1, Smoke::mf_const, 0, 11},	//523 QGLWidget::qglColor(const QColor&) const
    {26, 325, 89, 1, Smoke::mf_const, 0, 12},	//524 QGLWidget::qglClearColor(const QColor&) const
    {26, 277, 0, 0, Smoke::mf_const, 162, 13},	//525 QGLWidget::isValid() const
    {26, 276, 0, 0, Smoke::mf_const, 162, 14},	//526 QGLWidget::isSharing() const
    {26, 285, 0, 0, 0, 0, 15},	//527 QGLWidget::makeCurrent()
    {26, 206, 0, 0, 0, 0, 16},	//528 QGLWidget::doneCurrent()
    {26, 207, 0, 0, Smoke::mf_const, 162, 17},	//529 QGLWidget::doubleBuffer() const
    {26, 504, 0, 0, 0, 0, 18},	//530 QGLWidget::swapBuffers()
    {26, 237, 0, 0, Smoke::mf_const, 39, 19},	//531 QGLWidget::format() const
    {26, 421, 46, 1, 0, 0, 20},	//532 QGLWidget::setFormat(const QGLFormat&)
    {26, 182, 0, 0, Smoke::mf_const, 168, 21},	//533 QGLWidget::context() const
    {26, 395, 620, 3, 0, 0, 22},	//534 QGLWidget::setContext(QGLContext*, const QGLContext*, bool)
    {26, 342, 624, 3, 0, 70, 23},	//535 QGLWidget::renderPixmap(int, int, bool)
    {26, 248, 84, 1, 0, 56, 24},	//536 QGLWidget::grabFrameBuffer(bool)
    {26, 286, 0, 0, 0, 0, 25},	//537 QGLWidget::makeOverlayCurrent()
    {26, 314, 0, 0, Smoke::mf_const, 168, 26},	//538 QGLWidget::overlayContext() const
    {26, 184, 93, 1, Smoke::mf_static, 56, 27},	//539 QGLWidget::convertToGLFormat(const QImage&)
    {26, 439, 84, 1, 0, 0, 28},	//540 QGLWidget::setMouseTracking(bool)
    {26, 175, 0, 0, Smoke::mf_const, 167, 29},	//541 QGLWidget::colormap() const
    {26, 393, 24, 1, 0, 0, 30},	//542 QGLWidget::setColormap(const QGLColormap&)
    {26, 346, 628, 5, 0, 0, 31},	//543 QGLWidget::renderText(int, int, const QString&, const QFont&, int)
    {26, 346, 634, 6, 0, 0, 32},	//544 QGLWidget::renderText(double, double, double, const QString&, const QFont&, int)
    {26, 316, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 67, 33},	//545 QGLWidget::paintEngine() const
    {26, 153, 53, 4, 0, 224, 34},	//546 QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {26, 153, 58, 4, 0, 224, 35},	//547 QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    {26, 153, 63, 3, 0, 224, 36},	//548 QGLWidget::bindTexture(const QImage&, unsigned int, int)
    {26, 153, 67, 3, 0, 224, 37},	//549 QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    {26, 153, 71, 1, 0, 224, 38},	//550 QGLWidget::bindTexture(const QString&)
    {26, 193, 36, 1, 0, 0, 39},	//551 QGLWidget::deleteTexture(unsigned int)
    {26, 211, 73, 3, 0, 0, 40},	//552 QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    {26, 211, 77, 3, 0, 0, 41},	//553 QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    {26, 532, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 42},	//554 QGLWidget::updateGL()
    {26, 533, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 43},	//555 QGLWidget::updateOverlayGL()
    {26, 223, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 162, 44},	//556 QGLWidget::event(QEvent*)
    {26, 265, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 45},	//557 QGLWidget::initializeGL()
    {26, 357, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 46},	//558 QGLWidget::resizeGL(int, int)
    {26, 319, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 47},	//559 QGLWidget::paintGL()
    {26, 266, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 48},	//560 QGLWidget::initializeOverlayGL()
    {26, 359, 116, 2, Smoke::mf_protected|Smoke::mf_virtual, 0, 49},	//561 QGLWidget::resizeOverlayGL(int, int)
    {26, 320, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 50},	//562 QGLWidget::paintOverlayGL()
    {26, 389, 84, 1, Smoke::mf_protected, 0, 51},	//563 QGLWidget::setAutoBufferSwap(bool)
    {26, 147, 0, 0, Smoke::mf_const|Smoke::mf_protected, 162, 52},	//564 QGLWidget::autoBufferSwap() const
    {26, 317, 643, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 53},	//565 QGLWidget::paintEvent(QPaintEvent*)
    {26, 355, 645, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 54},	//566 QGLWidget::resizeEvent(QResizeEvent*)
    {26, 247, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 55},	//567 QGLWidget::glInit()
    {26, 246, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 56},	//568 QGLWidget::glDraw()
    {26, 234, 86, 2, Smoke::mf_protected, 221, 57},	//569 QGLWidget::fontDisplayListBase(const QFont&, int)
    {26, 514, 204, 1, Smoke::mf_static, 75, 58},	//570 QGLWidget::tr(const char*)
    {26, 518, 204, 1, Smoke::mf_static, 75, 59},	//571 QGLWidget::trUtf8(const char*)
    {26, 104, 0, 0, Smoke::mf_ctor, 54, 60},	//572 QGLWidget::QGLWidget()
    {26, 104, 647, 1, Smoke::mf_ctor, 54, 61},	//573 QGLWidget::QGLWidget(QWidget*)
    {26, 104, 649, 2, Smoke::mf_ctor, 54, 62},	//574 QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    {26, 104, 109, 1, Smoke::mf_ctor, 54, 63},	//575 QGLWidget::QGLWidget(QGLContext*)
    {26, 104, 652, 2, Smoke::mf_ctor, 54, 64},	//576 QGLWidget::QGLWidget(QGLContext*, QWidget*)
    {26, 104, 655, 3, Smoke::mf_ctor, 54, 65},	//577 QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    {26, 104, 46, 1, Smoke::mf_ctor, 54, 66},	//578 QGLWidget::QGLWidget(const QGLFormat&)
    {26, 104, 659, 2, Smoke::mf_ctor, 54, 67},	//579 QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    {26, 104, 662, 3, Smoke::mf_ctor, 54, 68},	//580 QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    {26, 395, 109, 1, 0, 0, 69},	//581 QGLWidget::setContext(QGLContext*)
    {26, 395, 666, 2, 0, 0, 70},	//582 QGLWidget::setContext(QGLContext*, const QGLContext*)
    {26, 342, 0, 0, 0, 70, 71},	//583 QGLWidget::renderPixmap()
    {26, 342, 20, 1, 0, 70, 72},	//584 QGLWidget::renderPixmap(int)
    {26, 342, 116, 2, 0, 70, 73},	//585 QGLWidget::renderPixmap(int, int)
    {26, 248, 0, 0, 0, 56, 74},	//586 QGLWidget::grabFrameBuffer()
    {26, 346, 669, 3, 0, 0, 75},	//587 QGLWidget::renderText(int, int, const QString&)
    {26, 346, 673, 4, 0, 0, 76},	//588 QGLWidget::renderText(int, int, const QString&, const QFont&)
    {26, 346, 678, 4, 0, 0, 77},	//589 QGLWidget::renderText(double, double, double, const QString&)
    {26, 346, 683, 5, 0, 0, 78},	//590 QGLWidget::renderText(double, double, double, const QString&, const QFont&)
    {26, 153, 93, 1, 0, 224, 79},	//591 QGLWidget::bindTexture(const QImage&)
    {26, 153, 95, 2, 0, 224, 80},	//592 QGLWidget::bindTexture(const QImage&, unsigned int)
    {26, 153, 98, 1, 0, 224, 81},	//593 QGLWidget::bindTexture(const QPixmap&)
    {26, 153, 100, 2, 0, 224, 82},	//594 QGLWidget::bindTexture(const QPixmap&, unsigned int)
    {26, 211, 103, 2, 0, 0, 83},	//595 QGLWidget::drawTexture(const QRectF&, unsigned int)
    {26, 211, 106, 2, 0, 0, 84},	//596 QGLWidget::drawTexture(const QPointF&, unsigned int)
    {26, 234, 689, 1, Smoke::mf_protected, 221, 85},	//597 QGLWidget::fontDisplayListBase(const QFont&)
    {26, 499, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 191, 86},	//598 QGLWidget::staticMetaObject() const
    {26, 550, 0, 0, Smoke::mf_dtor, 0, 87 },	//599 QGLWidget::~QGLWidget()
    {27, 305, 691, 2, Smoke::mf_static, 15, 1},	//600 QGlobalSpace::operator<<(QDebug, const QGLFormat&)
    {27, 312, 694, 2, Smoke::mf_static, 23, 2},	//601 QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    {27, 312, 697, 2, Smoke::mf_static, 57, 3},	//602 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    {27, 312, 700, 2, Smoke::mf_static, 25, 4},	//603 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    {27, 312, 703, 2, Smoke::mf_static, 22, 5},	//604 QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    {27, 312, 706, 2, Smoke::mf_static, 57, 6},	//605 QGlobalSpace::operator|(QGLContext::BindOption, int)
    {27, 312, 709, 2, Smoke::mf_static, 57, 7},	//606 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    {27, 312, 712, 2, Smoke::mf_static, 26, 8},	//607 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    {27, 312, 715, 2, Smoke::mf_static, 57, 9},	//608 QGlobalSpace::operator|(QGL::FormatOption, int)
    {27, 312, 718, 2, Smoke::mf_static, 25, 10},	//609 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    {27, 302, 721, 2, Smoke::mf_static, 162, 11},	//610 QGlobalSpace::operator!=(const QGLFormat&, const QGLFormat&)
    {27, 312, 724, 2, Smoke::mf_static, 23, 12},	//611 QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    {27, 312, 727, 2, Smoke::mf_static, 24, 13},	//612 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    {27, 309, 721, 2, Smoke::mf_static, 162, 14},	//613 QGlobalSpace::operator==(const QGLFormat&, const QGLFormat&)
    {27, 312, 730, 2, Smoke::mf_static, 57, 15},	//614 QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    {27, 312, 733, 2, Smoke::mf_static, 26, 16},	//615 QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    {27, 312, 736, 2, Smoke::mf_static, 24, 17},	//616 QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    {27, 312, 739, 2, Smoke::mf_static, 22, 18},	//617 QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    {27, 28, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 19},	//618 QGlobalSpace::KHRONOS_FALSE (enum)
    {27, 29, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 20},	//619 QGlobalSpace::KHRONOS_TRUE (enum)
    {27, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 222, 21},	//620 QGlobalSpace::KHRONOS_BOOLEAN_ENUM_FORCE_SIZE (enum)
    {37, 223, 641, 1, Smoke::mf_virtual, 162, 0},	//621 QObject::event(QEvent*)
    {37, 225, 742, 2, Smoke::mf_virtual, 162, 0},	//622 QObject::eventFilter(QObject*, QEvent*)
    {37, 512, 745, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//623 QObject::timerEvent(QTimerEvent*)
    {37, 168, 747, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//624 QObject::childEvent(QChildEvent*)
    {37, 190, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//625 QObject::customEvent(QEvent*)
    {37, 181, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//626 QObject::connectNotify(const char*)
    {37, 205, 204, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//627 QObject::disconnectNotify(const char*)
    {62, 199, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 221, 0},	//628 QWidget::devType() const
    {62, 489, 84, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//629 QWidget::setVisible(bool)
    {62, 497, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 74, 0},	//630 QWidget::sizeHint() const
    {62, 293, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 74, 0},	//631 QWidget::minimumSizeHint() const
    {62, 263, 20, 1, Smoke::mf_const|Smoke::mf_virtual, 221, 0},	//632 QWidget::heightForWidth(int) const
    {62, 298, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//633 QWidget::mousePressEvent(QMouseEvent*)
    {62, 299, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//634 QWidget::mouseReleaseEvent(QMouseEvent*)
    {62, 296, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//635 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {62, 297, 749, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//636 QWidget::mouseMoveEvent(QMouseEvent*)
    {62, 535, 751, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//637 QWidget::wheelEvent(QWheelEvent*)
    {62, 278, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//638 QWidget::keyPressEvent(QKeyEvent*)
    {62, 279, 753, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//639 QWidget::keyReleaseEvent(QKeyEvent*)
    {62, 230, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//640 QWidget::focusInEvent(QFocusEvent*)
    {62, 232, 755, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//641 QWidget::focusOutEvent(QFocusEvent*)
    {62, 218, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//642 QWidget::enterEvent(QEvent*)
    {62, 281, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//643 QWidget::leaveEvent(QEvent*)
    {62, 300, 757, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//644 QWidget::moveEvent(QMoveEvent*)
    {62, 172, 759, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//645 QWidget::closeEvent(QCloseEvent*)
    {62, 183, 761, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//646 QWidget::contextMenuEvent(QContextMenuEvent*)
    {62, 506, 763, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//647 QWidget::tabletEvent(QTabletEvent*)
    {62, 128, 765, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//648 QWidget::actionEvent(QActionEvent*)
    {62, 208, 767, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//649 QWidget::dragEnterEvent(QDragEnterEvent*)
    {62, 210, 769, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//650 QWidget::dragMoveEvent(QDragMoveEvent*)
    {62, 209, 771, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//651 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {62, 214, 773, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//652 QWidget::dropEvent(QDropEvent*)
    {62, 495, 775, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//653 QWidget::showEvent(QShowEvent*)
    {62, 264, 777, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//654 QWidget::hideEvent(QHideEvent*)
    {62, 540, 779, 1, Smoke::mf_protected|Smoke::mf_virtual, 162, 0},	//655 QWidget::x11Event(_XEvent*)
    {62, 167, 641, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//656 QWidget::changeEvent(QEvent*)
    {62, 291, 153, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 221, 0},	//657 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {62, 268, 781, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//658 QWidget::inputMethodEvent(QInputMethodEvent*)
    {62, 269, 783, 1, Smoke::mf_const|Smoke::mf_virtual, 82, 0},	//659 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {62, 231, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 162, 0},	//660 QWidget::focusNextPrevChild(bool)
    {62, 503, 785, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//661 QWidget::styleChange(QStyle&)
    {62, 217, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//662 QWidget::enabledChange(bool)
    {62, 321, 787, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//663 QWidget::paletteChange(const QPalette&)
    {62, 233, 689, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//664 QWidget::fontChange(const QFont&)
    {62, 536, 84, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//665 QWidget::windowActivationChange(bool)
    {62, 280, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//666 QWidget::languageChange()
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    220,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, unsigned int)
    247,  // QGLFramebufferObject::QGLFramebufferObject(const QSize&, QGLFramebufferObject::Attachment)
    0,
    221,  // QGLFramebufferObject::QGLFramebufferObject(int, int, unsigned int)
    249,  // QGLFramebufferObject::QGLFramebufferObject(int, int, QGLFramebufferObject::Attachment)
    0,
    251,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int)
    252,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int)
    0,
    239,  // QGLFramebufferObject::drawTexture(const QRectF&, unsigned int, unsigned int)
    240,  // QGLFramebufferObject::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    573,  // QGLWidget::QGLWidget(QWidget*)
    575,  // QGLWidget::QGLWidget(QGLContext*)
    578,  // QGLWidget::QGLWidget(const QGLFormat&)
    0,
    574,  // QGLWidget::QGLWidget(QWidget*, const QGLWidget*)
    576,  // QGLWidget::QGLWidget(QGLContext*, QWidget*)
    579,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*)
    0,
    577,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*)
    580,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*)
    0,
    521,  // QGLWidget::QGLWidget(QGLContext*, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    522,  // QGLWidget::QGLWidget(const QGLFormat&, QWidget*, const QGLWidget*, QFlags<Qt::WindowType>)
    0,
    591,  // QGLWidget::bindTexture(const QImage&)
    593,  // QGLWidget::bindTexture(const QPixmap&)
    0,
    592,  // QGLWidget::bindTexture(const QImage&, unsigned int)
    594,  // QGLWidget::bindTexture(const QPixmap&, unsigned int)
    0,
    548,  // QGLWidget::bindTexture(const QImage&, unsigned int, int)
    549,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int)
    0,
    546,  // QGLWidget::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    547,  // QGLWidget::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    595,  // QGLWidget::drawTexture(const QRectF&, unsigned int)
    596,  // QGLWidget::drawTexture(const QPointF&, unsigned int)
    0,
    552,  // QGLWidget::drawTexture(const QRectF&, unsigned int, unsigned int)
    553,  // QGLWidget::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    314,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, QObject*)
    329,  // QGLShader::QGLShader(QFlags<QGLShader::ShaderTypeBit>, const QGLContext*)
    0,
    317,  // QGLShader::compileSourceCode(const char*)
    319,  // QGLShader::compileSourceCode(const QString&)
    0,
    601,  // QGlobalSpace::operator|(QGLContext::BindOption, QFlags<QGLContext::BindOption>)
    602,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, int)
    603,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QGLFunctions::OpenGLFeature)
    604,  // QGlobalSpace::operator|(QGL::FormatOption, QFlags<QGL::FormatOption>)
    605,  // QGlobalSpace::operator|(QGLContext::BindOption, int)
    606,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, int)
    607,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QFlags<QGLShader::ShaderTypeBit>)
    608,  // QGlobalSpace::operator|(QGL::FormatOption, int)
    609,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, QFlags<QGLFunctions::OpenGLFeature>)
    611,  // QGlobalSpace::operator|(QGLContext::BindOption, QGLContext::BindOption)
    612,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QFlags<QGLFormat::OpenGLVersionFlag>)
    614,  // QGlobalSpace::operator|(QGLFunctions::OpenGLFeature, int)
    615,  // QGlobalSpace::operator|(QGLShader::ShaderTypeBit, QGLShader::ShaderTypeBit)
    616,  // QGlobalSpace::operator|(QGLFormat::OpenGLVersionFlag, QGLFormat::OpenGLVersionFlag)
    617,  // QGlobalSpace::operator|(QGL::FormatOption, QGL::FormatOption)
    0,
    302,  // QGLPixelBuffer::bindTexture(const QImage&)
    303,  // QGLPixelBuffer::bindTexture(const QPixmap&)
    0,
    284,  // QGLPixelBuffer::bindTexture(const QImage&, unsigned int)
    285,  // QGLPixelBuffer::bindTexture(const QPixmap&, unsigned int)
    0,
    304,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int)
    305,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int)
    0,
    288,  // QGLPixelBuffer::drawTexture(const QRectF&, unsigned int, unsigned int)
    289,  // QGLPixelBuffer::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
    343,  // QGLShaderProgram::QGLShaderProgram(QObject*)
    497,  // QGLShaderProgram::QGLShaderProgram(const QGLContext*)
    0,
    348,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const char*)
    350,  // QGLShaderProgram::addShaderFromSourceCode(QFlags<QGLShader::ShaderTypeBit>, const QString&)
    0,
    369,  // QGLShaderProgram::attributeLocation(const char*) const
    371,  // QGLShaderProgram::attributeLocation(const QString&) const
    0,
    366,  // QGLShaderProgram::bindAttributeLocation(const char*, int)
    368,  // QGLShaderProgram::bindAttributeLocation(const QString&, int)
    0,
    404,  // QGLShaderProgram::disableAttributeArray(int)
    405,  // QGLShaderProgram::disableAttributeArray(const char*)
    0,
    402,  // QGLShaderProgram::enableAttributeArray(int)
    403,  // QGLShaderProgram::enableAttributeArray(const char*)
    0,
    499,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*)
    500,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*)
    501,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*)
    504,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*)
    505,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*)
    506,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*)
    0,
    391,  // QGLShaderProgram::setAttributeArray(int, const QVector2D*, int)
    392,  // QGLShaderProgram::setAttributeArray(int, const QVector3D*, int)
    393,  // QGLShaderProgram::setAttributeArray(int, const QVector4D*, int)
    396,  // QGLShaderProgram::setAttributeArray(const char*, const QVector2D*, int)
    397,  // QGLShaderProgram::setAttributeArray(const char*, const QVector3D*, int)
    398,  // QGLShaderProgram::setAttributeArray(const char*, const QVector4D*, int)
    0,
    498,  // QGLShaderProgram::setAttributeArray(int, const float*, int)
    503,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int)
    0,
    390,  // QGLShaderProgram::setAttributeArray(int, const float*, int, int)
    395,  // QGLShaderProgram::setAttributeArray(const char*, const float*, int, int)
    502,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int)
    507,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int)
    0,
    394,  // QGLShaderProgram::setAttributeArray(int, unsigned int, const void*, int, int)
    399,  // QGLShaderProgram::setAttributeArray(const char*, unsigned int, const void*, int, int)
    0,
    508,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int)
    509,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int)
    0,
    400,  // QGLShaderProgram::setAttributeBuffer(int, unsigned int, int, int, int)
    401,  // QGLShaderProgram::setAttributeBuffer(const char*, unsigned int, int, int, int)
    0,
    376,  // QGLShaderProgram::setAttributeValue(int, const QVector2D&)
    377,  // QGLShaderProgram::setAttributeValue(int, const QVector3D&)
    378,  // QGLShaderProgram::setAttributeValue(int, const QVector4D&)
    379,  // QGLShaderProgram::setAttributeValue(int, const QColor&)
    385,  // QGLShaderProgram::setAttributeValue(const char*, const QVector2D&)
    386,  // QGLShaderProgram::setAttributeValue(const char*, const QVector3D&)
    387,  // QGLShaderProgram::setAttributeValue(const char*, const QVector4D&)
    388,  // QGLShaderProgram::setAttributeValue(const char*, const QColor&)
    0,
    372,  // QGLShaderProgram::setAttributeValue(int, float)
    381,  // QGLShaderProgram::setAttributeValue(const char*, float)
    0,
    373,  // QGLShaderProgram::setAttributeValue(int, float, float)
    382,  // QGLShaderProgram::setAttributeValue(const char*, float, float)
    0,
    374,  // QGLShaderProgram::setAttributeValue(int, float, float, float)
    380,  // QGLShaderProgram::setAttributeValue(int, const float*, int, int)
    383,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float)
    389,  // QGLShaderProgram::setAttributeValue(const char*, const float*, int, int)
    0,
    375,  // QGLShaderProgram::setAttributeValue(int, float, float, float, float)
    384,  // QGLShaderProgram::setAttributeValue(const char*, float, float, float, float)
    0,
    415,  // QGLShaderProgram::setUniformValue(int, const QVector2D&)
    416,  // QGLShaderProgram::setUniformValue(int, const QVector3D&)
    417,  // QGLShaderProgram::setUniformValue(int, const QVector4D&)
    418,  // QGLShaderProgram::setUniformValue(int, const QColor&)
    419,  // QGLShaderProgram::setUniformValue(int, const QPoint&)
    420,  // QGLShaderProgram::setUniformValue(int, const QPointF&)
    421,  // QGLShaderProgram::setUniformValue(int, const QSize&)
    422,  // QGLShaderProgram::setUniformValue(int, const QSizeF&)
    431,  // QGLShaderProgram::setUniformValue(int, const QMatrix4x4&)
    435,  // QGLShaderProgram::setUniformValue(int, const QTransform&)
    442,  // QGLShaderProgram::setUniformValue(const char*, const QVector2D&)
    443,  // QGLShaderProgram::setUniformValue(const char*, const QVector3D&)
    444,  // QGLShaderProgram::setUniformValue(const char*, const QVector4D&)
    445,  // QGLShaderProgram::setUniformValue(const char*, const QColor&)
    446,  // QGLShaderProgram::setUniformValue(const char*, const QPoint&)
    447,  // QGLShaderProgram::setUniformValue(const char*, const QPointF&)
    448,  // QGLShaderProgram::setUniformValue(const char*, const QSize&)
    449,  // QGLShaderProgram::setUniformValue(const char*, const QSizeF&)
    458,  // QGLShaderProgram::setUniformValue(const char*, const QMatrix4x4&)
    462,  // QGLShaderProgram::setUniformValue(const char*, const QTransform&)
    0,
    409,  // QGLShaderProgram::setUniformValue(int, float)
    410,  // QGLShaderProgram::setUniformValue(int, int)
    411,  // QGLShaderProgram::setUniformValue(int, unsigned int)
    432,  // QGLShaderProgram::setUniformValue(int, const float[2][2])
    433,  // QGLShaderProgram::setUniformValue(int, const float[3][3])
    434,  // QGLShaderProgram::setUniformValue(int, const float[4][4])
    436,  // QGLShaderProgram::setUniformValue(const char*, float)
    437,  // QGLShaderProgram::setUniformValue(const char*, int)
    438,  // QGLShaderProgram::setUniformValue(const char*, unsigned int)
    459,  // QGLShaderProgram::setUniformValue(const char*, const float[2][2])
    460,  // QGLShaderProgram::setUniformValue(const char*, const float[3][3])
    461,  // QGLShaderProgram::setUniformValue(const char*, const float[4][4])
    0,
    412,  // QGLShaderProgram::setUniformValue(int, float, float)
    439,  // QGLShaderProgram::setUniformValue(const char*, float, float)
    0,
    413,  // QGLShaderProgram::setUniformValue(int, float, float, float)
    440,  // QGLShaderProgram::setUniformValue(const char*, float, float, float)
    0,
    414,  // QGLShaderProgram::setUniformValue(int, float, float, float, float)
    441,  // QGLShaderProgram::setUniformValue(const char*, float, float, float, float)
    0,
    423,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,2,double>&)
    424,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,3,double>&)
    425,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<2,4,double>&)
    426,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,2,double>&)
    427,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,3,double>&)
    428,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<3,4,double>&)
    429,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,2,double>&)
    430,  // QGLShaderProgram::setUniformValue(int, const QGenericMatrix<4,3,double>&)
    450,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,2,double>&)
    451,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,3,double>&)
    452,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<2,4,double>&)
    453,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,2,double>&)
    454,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,3,double>&)
    455,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<3,4,double>&)
    456,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,2,double>&)
    457,  // QGLShaderProgram::setUniformValue(const char*, const QGenericMatrix<4,3,double>&)
    0,
    466,  // QGLShaderProgram::setUniformValueArray(int, const QVector2D*, int)
    467,  // QGLShaderProgram::setUniformValueArray(int, const QVector3D*, int)
    468,  // QGLShaderProgram::setUniformValueArray(int, const QVector4D*, int)
    477,  // QGLShaderProgram::setUniformValueArray(int, const QMatrix4x4*, int)
    481,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector2D*, int)
    482,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector3D*, int)
    483,  // QGLShaderProgram::setUniformValueArray(const char*, const QVector4D*, int)
    492,  // QGLShaderProgram::setUniformValueArray(const char*, const QMatrix4x4*, int)
    0,
    464,  // QGLShaderProgram::setUniformValueArray(int, const int*, int)
    465,  // QGLShaderProgram::setUniformValueArray(int, const unsigned int*, int)
    479,  // QGLShaderProgram::setUniformValueArray(const char*, const int*, int)
    480,  // QGLShaderProgram::setUniformValueArray(const char*, const unsigned int*, int)
    0,
    463,  // QGLShaderProgram::setUniformValueArray(int, const float*, int, int)
    478,  // QGLShaderProgram::setUniformValueArray(const char*, const float*, int, int)
    0,
    469,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,2,double>*, int)
    470,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,3,double>*, int)
    471,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<2,4,double>*, int)
    472,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,2,double>*, int)
    473,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,3,double>*, int)
    474,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<3,4,double>*, int)
    475,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,2,double>*, int)
    476,  // QGLShaderProgram::setUniformValueArray(int, const QGenericMatrix<4,3,double>*, int)
    484,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,2,double>*, int)
    485,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,3,double>*, int)
    486,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<2,4,double>*, int)
    487,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,2,double>*, int)
    488,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,3,double>*, int)
    489,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<3,4,double>*, int)
    490,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,2,double>*, int)
    491,  // QGLShaderProgram::setUniformValueArray(const char*, const QGenericMatrix<4,3,double>*, int)
    0,
    406,  // QGLShaderProgram::uniformLocation(const char*) const
    408,  // QGLShaderProgram::uniformLocation(const QString&) const
    0,
    119,  // QGLContext::bindTexture(const QImage&)
    121,  // QGLContext::bindTexture(const QPixmap&)
    0,
    120,  // QGLContext::bindTexture(const QImage&, unsigned int)
    122,  // QGLContext::bindTexture(const QPixmap&, unsigned int)
    0,
    94,  // QGLContext::bindTexture(const QImage&, unsigned int, int)
    95,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int)
    0,
    92,  // QGLContext::bindTexture(const QImage&, unsigned int, int, QFlags<QGLContext::BindOption>)
    93,  // QGLContext::bindTexture(const QPixmap&, unsigned int, int, QFlags<QGLContext::BindOption>)
    0,
    123,  // QGLContext::drawTexture(const QRectF&, unsigned int)
    124,  // QGLContext::drawTexture(const QPointF&, unsigned int)
    0,
    98,  // QGLContext::drawTexture(const QRectF&, unsigned int, unsigned int)
    99,  // QGLContext::drawTexture(const QPointF&, unsigned int, unsigned int)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {16, 1, 6},	// QGL::AccumBuffer
    {16, 2, 5},	// QGL::AlphaChannel
    {16, 4, 15},	// QGL::ColorIndex
    {16, 9, 12},	// QGL::DeprecatedFunctions
    {16, 11, 3},	// QGL::DepthBuffer
    {16, 12, 9},	// QGL::DirectRendering
    {16, 13, 2},	// QGL::DoubleBuffer
    {16, 21, 10},	// QGL::HasOverlay
    {16, 24, 20},	// QGL::IndirectRendering
    {16, 33, 17},	// QGL::NoAccumBuffer
    {16, 34, 16},	// QGL::NoAlphaChannel
    {16, 37, 23},	// QGL::NoDeprecatedFunctions
    {16, 38, 14},	// QGL::NoDepthBuffer
    {16, 39, 21},	// QGL::NoOverlay
    {16, 41, 22},	// QGL::NoSampleBuffers
    {16, 42, 18},	// QGL::NoStencilBuffer
    {16, 43, 19},	// QGL::NoStereoBuffers
    {16, 112, 4},	// QGL::Rgba
    {16, 113, 11},	// QGL::SampleBuffers
    {16, 114, 13},	// QGL::SingleBuffer
    {16, 118, 7},	// QGL::StencilBuffer
    {16, 119, 8},	// QGL::StereoBuffers
    {16, 448, 1},	// QGL::setPreferredPaintEngine$
    {17, 16, 57},	// QGLBuffer::DynamicCopy
    {17, 17, 55},	// QGLBuffer::DynamicDraw
    {17, 18, 56},	// QGLBuffer::DynamicRead
    {17, 23, 46},	// QGLBuffer::IndexBuffer
    {17, 62, 47},	// QGLBuffer::PixelPackBuffer
    {17, 63, 48},	// QGLBuffer::PixelUnpackBuffer
    {17, 65, 24},	// QGLBuffer::QGLBuffer
    {17, 66, 26},	// QGLBuffer::QGLBuffer#
    {17, 67, 25},	// QGLBuffer::QGLBuffer$
    {17, 110, 58},	// QGLBuffer::ReadOnly
    {17, 111, 60},	// QGLBuffer::ReadWrite
    {17, 115, 54},	// QGLBuffer::StaticCopy
    {17, 116, 52},	// QGLBuffer::StaticDraw
    {17, 117, 53},	// QGLBuffer::StaticRead
    {17, 120, 51},	// QGLBuffer::StreamCopy
    {17, 121, 49},	// QGLBuffer::StreamDraw
    {17, 122, 50},	// QGLBuffer::StreamRead
    {17, 124, 45},	// QGLBuffer::VertexBuffer
    {17, 125, 59},	// QGLBuffer::WriteOnly
    {17, 137, 42},	// QGLBuffer::allocate$
    {17, 138, 41},	// QGLBuffer::allocate$$
    {17, 148, 34},	// QGLBuffer::bind
    {17, 166, 37},	// QGLBuffer::bufferId
    {17, 186, 31},	// QGLBuffer::create
    {17, 197, 33},	// QGLBuffer::destroy
    {17, 273, 32},	// QGLBuffer::isCreated
    {17, 288, 43},	// QGLBuffer::map$
    {17, 308, 27},	// QGLBuffer::operator=#
    {17, 334, 39},	// QGLBuffer::read$$$
    {17, 336, 35},	// QGLBuffer::release
    {17, 337, 36},	// QGLBuffer::release$
    {17, 484, 30},	// QGLBuffer::setUsagePattern$
    {17, 496, 38},	// QGLBuffer::size
    {17, 525, 28},	// QGLBuffer::type
    {17, 529, 44},	// QGLBuffer::unmap
    {17, 534, 29},	// QGLBuffer::usagePattern
    {17, 539, 40},	// QGLBuffer::write$$$
    {17, 541, 61},	// QGLBuffer::~QGLBuffer
    {18, 68, 62},	// QGLColormap::QGLColormap
    {18, 69, 63},	// QGLColormap::QGLColormap#
    {18, 198, 67},	// QGLColormap::detach
    {18, 220, 72},	// QGLColormap::entryColor$
    {18, 222, 71},	// QGLColormap::entryRgb$
    {18, 227, 73},	// QGLColormap::find$
    {18, 229, 74},	// QGLColormap::findNearest$
    {18, 251, 75},	// QGLColormap::handle
    {18, 274, 65},	// QGLColormap::isEmpty
    {18, 308, 64},	// QGLColormap::operator=#
    {18, 416, 77},	// QGLColormap::setEntries$$
    {18, 417, 68},	// QGLColormap::setEntries$$$
    {18, 419, 70},	// QGLColormap::setEntry$#
    {18, 420, 69},	// QGLColormap::setEntry$$
    {18, 432, 76},	// QGLColormap::setHandle$
    {18, 496, 66},	// QGLColormap::size
    {18, 542, 78},	// QGLColormap::~QGLColormap
    {19, 3, 135},	// QGLContext::CanFlipNativePixmapBindOption
    {19, 8, 136},	// QGLContext::DefaultBindOption
    {19, 25, 137},	// QGLContext::InternalBindOption
    {19, 26, 130},	// QGLContext::InvertedYBindOption
    {19, 30, 133},	// QGLContext::LinearFilteringBindOption
    {19, 31, 134},	// QGLContext::MemoryManagedBindOption
    {19, 32, 131},	// QGLContext::MipmapBindOption
    {19, 36, 129},	// QGLContext::NoBindOption
    {19, 64, 132},	// QGLContext::PremultipliedAlphaBindOption
    {19, 71, 80},	// QGLContext::QGLContext#
    {19, 72, 79},	// QGLContext::QGLContext##
    {19, 142, 85},	// QGLContext::areSharing##
    {19, 154, -248},	// QGLContext::bindTexture#
    {19, 155, -251},	// QGLContext::bindTexture#$
    {19, 156, -254},	// QGLContext::bindTexture#$$
    {19, 157, -257},	// QGLContext::bindTexture#$$$
    {19, 158, 96},	// QGLContext::bindTexture$
    {19, 169, 125},	// QGLContext::chooseContext
    {19, 170, 106},	// QGLContext::chooseContext#
    {19, 171, 108},	// QGLContext::chooseVisual
    {19, 174, 115},	// QGLContext::colorIndex#
    {19, 186, 118},	// QGLContext::create
    {19, 187, 81},	// QGLContext::create#
    {19, 188, 105},	// QGLContext::currentContext
    {19, 189, 127},	// QGLContext::currentCtx
    {19, 194, 97},	// QGLContext::deleteTexture$
    {19, 200, 103},	// QGLContext::device
    {19, 201, 109},	// QGLContext::deviceIsPixmap
    {19, 206, 90},	// QGLContext::doneCurrent
    {19, 212, -260},	// QGLContext::drawTexture#$
    {19, 213, -263},	// QGLContext::drawTexture#$$
    {19, 237, 86},	// QGLContext::format
    {19, 240, 114},	// QGLContext::generateFontDisplayLists#$
    {19, 245, 102},	// QGLContext::getProcAddress$
    {19, 267, 112},	// QGLContext::initialized
    {19, 276, 83},	// QGLContext::isSharing
    {19, 277, 82},	// QGLContext::isValid
    {19, 285, 89},	// QGLContext::makeCurrent
    {19, 315, 104},	// QGLContext::overlayTransparentColor
    {19, 353, 87},	// QGLContext::requestedFormat
    {19, 354, 84},	// QGLContext::reset
    {19, 400, 128},	// QGLContext::setCurrentCtx#
    {19, 410, 117},	// QGLContext::setDevice#
    {19, 422, 88},	// QGLContext::setFormat#
    {19, 434, 113},	// QGLContext::setInitialized$
    {19, 468, 100},	// QGLContext::setTextureCacheLimit$
    {19, 486, 116},	// QGLContext::setValid$
    {19, 491, 111},	// QGLContext::setWindowCreated$
    {19, 504, 91},	// QGLContext::swapBuffers
    {19, 510, 101},	// QGLContext::textureCacheLimit
    {19, 523, 126},	// QGLContext::tryVisual#
    {19, 524, 107},	// QGLContext::tryVisual#$
    {19, 537, 110},	// QGLContext::windowCreated
    {19, 543, 138},	// QGLContext::~QGLContext
    {20, 6, 200},	// QGLFormat::CompatibilityProfile
    {20, 7, 199},	// QGLFormat::CoreProfile
    {20, 40, 198},	// QGLFormat::NoProfile
    {20, 44, 210},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_0
    {20, 45, 212},	// QGLFormat::OpenGL_ES_CommonLite_Version_1_1
    {20, 46, 209},	// QGLFormat::OpenGL_ES_Common_Version_1_0
    {20, 47, 211},	// QGLFormat::OpenGL_ES_Common_Version_1_1
    {20, 48, 213},	// QGLFormat::OpenGL_ES_Version_2_0
    {20, 49, 202},	// QGLFormat::OpenGL_Version_1_1
    {20, 50, 203},	// QGLFormat::OpenGL_Version_1_2
    {20, 51, 204},	// QGLFormat::OpenGL_Version_1_3
    {20, 52, 205},	// QGLFormat::OpenGL_Version_1_4
    {20, 53, 206},	// QGLFormat::OpenGL_Version_1_5
    {20, 54, 207},	// QGLFormat::OpenGL_Version_2_0
    {20, 55, 208},	// QGLFormat::OpenGL_Version_2_1
    {20, 56, 214},	// QGLFormat::OpenGL_Version_3_0
    {20, 57, 215},	// QGLFormat::OpenGL_Version_3_1
    {20, 58, 216},	// QGLFormat::OpenGL_Version_3_2
    {20, 59, 217},	// QGLFormat::OpenGL_Version_3_3
    {20, 60, 218},	// QGLFormat::OpenGL_Version_4_0
    {20, 61, 201},	// QGLFormat::OpenGL_Version_None
    {20, 73, 139},	// QGLFormat::QGLFormat
    {20, 74, 141},	// QGLFormat::QGLFormat#
    {20, 75, 197},	// QGLFormat::QGLFormat$
    {20, 76, 140},	// QGLFormat::QGLFormat$$
    {20, 126, 171},	// QGLFormat::accum
    {20, 127, 146},	// QGLFormat::accumBufferSize
    {20, 139, 169},	// QGLFormat::alpha
    {20, 140, 154},	// QGLFormat::alphaBufferSize
    {20, 165, 152},	// QGLFormat::blueBufferSize
    {20, 191, 185},	// QGLFormat::defaultFormat
    {20, 192, 187},	// QGLFormat::defaultOverlayFormat
    {20, 195, 165},	// QGLFormat::depth
    {20, 196, 144},	// QGLFormat::depthBufferSize
    {20, 202, 177},	// QGLFormat::directRendering
    {20, 207, 163},	// QGLFormat::doubleBuffer
    {20, 250, 150},	// QGLFormat::greenBufferSize
    {20, 252, 189},	// QGLFormat::hasOpenGL
    {20, 255, 190},	// QGLFormat::hasOpenGLOverlays
    {20, 262, 179},	// QGLFormat::hasOverlay
    {20, 284, 192},	// QGLFormat::majorVersion
    {20, 294, 193},	// QGLFormat::minorVersion
    {20, 301, 196},	// QGLFormat::openGLVersionFlags
    {20, 308, 142},	// QGLFormat::operator=#
    {20, 322, 181},	// QGLFormat::plane
    {20, 323, 195},	// QGLFormat::profile
    {20, 335, 148},	// QGLFormat::redBufferSize
    {20, 361, 167},	// QGLFormat::rgba
    {20, 362, 158},	// QGLFormat::sampleBuffers
    {20, 363, 160},	// QGLFormat::samples
    {20, 365, 172},	// QGLFormat::setAccum$
    {20, 367, 145},	// QGLFormat::setAccumBufferSize$
    {20, 369, 170},	// QGLFormat::setAlpha$
    {20, 371, 153},	// QGLFormat::setAlphaBufferSize$
    {20, 392, 151},	// QGLFormat::setBlueBufferSize$
    {20, 402, 186},	// QGLFormat::setDefaultFormat#
    {20, 404, 188},	// QGLFormat::setDefaultOverlayFormat#
    {20, 406, 166},	// QGLFormat::setDepth$
    {20, 408, 143},	// QGLFormat::setDepthBufferSize$
    {20, 412, 178},	// QGLFormat::setDirectRendering$
    {20, 414, 164},	// QGLFormat::setDoubleBuffer$
    {20, 430, 149},	// QGLFormat::setGreenBufferSize$
    {20, 442, 183},	// QGLFormat::setOption$
    {20, 444, 180},	// QGLFormat::setOverlay$
    {20, 446, 182},	// QGLFormat::setPlane$
    {20, 450, 194},	// QGLFormat::setProfile$
    {20, 452, 147},	// QGLFormat::setRedBufferSize$
    {20, 454, 168},	// QGLFormat::setRgba$
    {20, 456, 157},	// QGLFormat::setSampleBuffers$
    {20, 458, 159},	// QGLFormat::setSamples$
    {20, 460, 174},	// QGLFormat::setStencil$
    {20, 462, 155},	// QGLFormat::setStencilBufferSize$
    {20, 464, 176},	// QGLFormat::setStereo$
    {20, 466, 161},	// QGLFormat::setSwapInterval$
    {20, 488, 191},	// QGLFormat::setVersion$$
    {20, 500, 173},	// QGLFormat::stencil
    {20, 501, 156},	// QGLFormat::stencilBufferSize
    {20, 502, 175},	// QGLFormat::stereo
    {20, 505, 162},	// QGLFormat::swapInterval
    {20, 508, 184},	// QGLFormat::testOption$
    {20, 544, 219},	// QGLFormat::~QGLFormat
    {21, 5, 256},	// QGLFramebufferObject::CombinedDepthStencil
    {21, 10, 257},	// QGLFramebufferObject::Depth
    {21, 35, 255},	// QGLFramebufferObject::NoAttachment
    {21, 78, 245},	// QGLFramebufferObject::QGLFramebufferObject#
    {21, 79, 224},	// QGLFramebufferObject::QGLFramebufferObject##
    {21, 80, -1},	// QGLFramebufferObject::QGLFramebufferObject#$
    {21, 81, 248},	// QGLFramebufferObject::QGLFramebufferObject#$$
    {21, 82, 222},	// QGLFramebufferObject::QGLFramebufferObject#$$$
    {21, 83, 246},	// QGLFramebufferObject::QGLFramebufferObject$$
    {21, 84, 225},	// QGLFramebufferObject::QGLFramebufferObject$$#
    {21, 85, -4},	// QGLFramebufferObject::QGLFramebufferObject$$$
    {21, 86, 250},	// QGLFramebufferObject::QGLFramebufferObject$$$$
    {21, 87, 223},	// QGLFramebufferObject::QGLFramebufferObject$$$$$
    {21, 143, 234},	// QGLFramebufferObject::attachment
    {21, 148, 229},	// QGLFramebufferObject::bind
    {21, 152, 237},	// QGLFramebufferObject::bindDefault
    {21, 162, 253},	// QGLFramebufferObject::blitFramebuffer####
    {21, 163, 254},	// QGLFramebufferObject::blitFramebuffer####$
    {21, 164, 242},	// QGLFramebufferObject::blitFramebuffer####$$
    {21, 199, 244},	// QGLFramebufferObject::devType
    {21, 212, -7},	// QGLFramebufferObject::drawTexture#$
    {21, 213, -10},	// QGLFramebufferObject::drawTexture#$$
    {21, 237, 226},	// QGLFramebufferObject::format
    {21, 251, 236},	// QGLFramebufferObject::handle
    {21, 253, 241},	// QGLFramebufferObject::hasOpenGLFramebufferBlit
    {21, 254, 238},	// QGLFramebufferObject::hasOpenGLFramebufferObjects
    {21, 271, 228},	// QGLFramebufferObject::isBound
    {21, 277, 227},	// QGLFramebufferObject::isValid
    {21, 292, 243},	// QGLFramebufferObject::metric$
    {21, 316, 235},	// QGLFramebufferObject::paintEngine
    {21, 336, 230},	// QGLFramebufferObject::release
    {21, 496, 232},	// QGLFramebufferObject::size
    {21, 509, 231},	// QGLFramebufferObject::texture
    {21, 513, 233},	// QGLFramebufferObject::toImage
    {21, 545, 258},	// QGLFramebufferObject::~QGLFramebufferObject
    {22, 88, 259},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat
    {22, 89, 260},	// QGLFramebufferObjectFormat::QGLFramebufferObjectFormat#
    {22, 143, 267},	// QGLFramebufferObjectFormat::attachment
    {22, 270, 271},	// QGLFramebufferObjectFormat::internalTextureFormat
    {22, 295, 265},	// QGLFramebufferObjectFormat::mipmap
    {22, 303, 273},	// QGLFramebufferObjectFormat::operator!=#
    {22, 308, 261},	// QGLFramebufferObjectFormat::operator=#
    {22, 310, 272},	// QGLFramebufferObjectFormat::operator==#
    {22, 363, 263},	// QGLFramebufferObjectFormat::samples
    {22, 373, 266},	// QGLFramebufferObjectFormat::setAttachment$
    {22, 436, 270},	// QGLFramebufferObjectFormat::setInternalTextureFormat$
    {22, 438, 264},	// QGLFramebufferObjectFormat::setMipmap$
    {22, 458, 262},	// QGLFramebufferObjectFormat::setSamples$
    {22, 470, 268},	// QGLFramebufferObjectFormat::setTextureTarget$
    {22, 511, 269},	// QGLFramebufferObjectFormat::textureTarget
    {22, 546, 274},	// QGLFramebufferObjectFormat::~QGLFramebufferObjectFormat
    {23, 91, 298},	// QGLPixelBuffer::QGLPixelBuffer#
    {23, 92, 299},	// QGLPixelBuffer::QGLPixelBuffer##
    {23, 93, 275},	// QGLPixelBuffer::QGLPixelBuffer###
    {23, 94, 300},	// QGLPixelBuffer::QGLPixelBuffer$$
    {23, 95, 301},	// QGLPixelBuffer::QGLPixelBuffer$$#
    {23, 96, 276},	// QGLPixelBuffer::QGLPixelBuffer$$##
    {23, 154, -67},	// QGLPixelBuffer::bindTexture#
    {23, 155, -70},	// QGLPixelBuffer::bindTexture#$
    {23, 158, 286},	// QGLPixelBuffer::bindTexture$
    {23, 160, 281},	// QGLPixelBuffer::bindToDynamicTexture$
    {23, 194, 287},	// QGLPixelBuffer::deleteTexture$
    {23, 199, 297},	// QGLPixelBuffer::devType
    {23, 206, 279},	// QGLPixelBuffer::doneCurrent
    {23, 212, -73},	// QGLPixelBuffer::drawTexture#$
    {23, 213, -76},	// QGLPixelBuffer::drawTexture#$$
    {23, 237, 294},	// QGLPixelBuffer::format
    {23, 238, 280},	// QGLPixelBuffer::generateDynamicTexture
    {23, 251, 291},	// QGLPixelBuffer::handle
    {23, 256, 295},	// QGLPixelBuffer::hasOpenGLPbuffers
    {23, 277, 277},	// QGLPixelBuffer::isValid
    {23, 285, 278},	// QGLPixelBuffer::makeCurrent
    {23, 292, 296},	// QGLPixelBuffer::metric$
    {23, 316, 293},	// QGLPixelBuffer::paintEngine
    {23, 338, 282},	// QGLPixelBuffer::releaseFromDynamicTexture
    {23, 496, 290},	// QGLPixelBuffer::size
    {23, 513, 292},	// QGLPixelBuffer::toImage
    {23, 531, 283},	// QGLPixelBuffer::updateDynamicTexture$
    {23, 547, 306},	// QGLPixelBuffer::~QGLPixelBuffer
    {24, 19, 333},	// QGLShader::Fragment
    {24, 20, 334},	// QGLShader::Geometry
    {24, 98, 328},	// QGLShader::QGLShader$
    {24, 99, -45},	// QGLShader::QGLShader$#
    {24, 100, 315},	// QGLShader::QGLShader$##
    {24, 123, 332},	// QGLShader::Vertex
    {24, 177, 318},	// QGLShader::compileSourceCode#
    {24, 178, -48},	// QGLShader::compileSourceCode$
    {24, 180, 320},	// QGLShader::compileSourceFile$
    {24, 260, 330},	// QGLShader::hasOpenGLShaders$
    {24, 261, 325},	// QGLShader::hasOpenGLShaders$#
    {24, 272, 322},	// QGLShader::isCompiled
    {24, 283, 323},	// QGLShader::log
    {24, 290, 307},	// QGLShader::metaObject
    {24, 330, 313},	// QGLShader::qt_metacall$$?
    {24, 332, 308},	// QGLShader::qt_metacast$
    {24, 492, 324},	// QGLShader::shaderId
    {24, 493, 316},	// QGLShader::shaderType
    {24, 498, 321},	// QGLShader::sourceCode
    {24, 499, 331},	// QGLShader::staticMetaObject
    {24, 515, 326},	// QGLShader::tr$
    {24, 516, 309},	// QGLShader::tr$$
    {24, 517, 311},	// QGLShader::tr$$$
    {24, 519, 327},	// QGLShader::trUtf8$
    {24, 520, 310},	// QGLShader::trUtf8$$
    {24, 521, 312},	// QGLShader::trUtf8$$$
    {24, 548, 335},	// QGLShader::~QGLShader
    {25, 101, 496},	// QGLShaderProgram::QGLShaderProgram
    {25, 102, -79},	// QGLShaderProgram::QGLShaderProgram#
    {25, 103, 344},	// QGLShaderProgram::QGLShaderProgram##
    {25, 130, 345},	// QGLShaderProgram::addShader#
    {25, 132, 349},	// QGLShaderProgram::addShaderFromSourceCode$#
    {25, 133, -82},	// QGLShaderProgram::addShaderFromSourceCode$$
    {25, 135, 351},	// QGLShaderProgram::addShaderFromSourceFile$$
    {25, 145, 370},	// QGLShaderProgram::attributeLocation#
    {25, 146, -85},	// QGLShaderProgram::attributeLocation$
    {25, 148, 356},	// QGLShaderProgram::bind
    {25, 150, 367},	// QGLShaderProgram::bindAttributeLocation#$
    {25, 151, -88},	// QGLShaderProgram::bindAttributeLocation$$
    {25, 204, -91},	// QGLShaderProgram::disableAttributeArray$
    {25, 216, -94},	// QGLShaderProgram::enableAttributeArray$
    {25, 241, 363},	// QGLShaderProgram::geometryInputType
    {25, 242, 365},	// QGLShaderProgram::geometryOutputType
    {25, 243, 361},	// QGLShaderProgram::geometryOutputVertexCount
    {25, 257, 510},	// QGLShaderProgram::hasOpenGLShaderPrograms
    {25, 258, 493},	// QGLShaderProgram::hasOpenGLShaderPrograms#
    {25, 275, 354},	// QGLShaderProgram::isLinked
    {25, 282, 353},	// QGLShaderProgram::link
    {25, 283, 355},	// QGLShaderProgram::log
    {25, 289, 359},	// QGLShaderProgram::maxGeometryOutputVertices
    {25, 290, 336},	// QGLShaderProgram::metaObject
    {25, 324, 358},	// QGLShaderProgram::programId
    {25, 330, 342},	// QGLShaderProgram::qt_metacall$$?
    {25, 332, 337},	// QGLShaderProgram::qt_metacast$
    {25, 336, 357},	// QGLShaderProgram::release
    {25, 339, 352},	// QGLShaderProgram::removeAllShaders
    {25, 341, 346},	// QGLShaderProgram::removeShader#
    {25, 375, -97},	// QGLShaderProgram::setAttributeArray$#
    {25, 376, -104},	// QGLShaderProgram::setAttributeArray$#$
    {25, 377, -111},	// QGLShaderProgram::setAttributeArray$$$
    {25, 378, -114},	// QGLShaderProgram::setAttributeArray$$$$
    {25, 379, -119},	// QGLShaderProgram::setAttributeArray$$$$$
    {25, 381, -122},	// QGLShaderProgram::setAttributeBuffer$$$$
    {25, 382, -125},	// QGLShaderProgram::setAttributeBuffer$$$$$
    {25, 384, -128},	// QGLShaderProgram::setAttributeValue$#
    {25, 385, -137},	// QGLShaderProgram::setAttributeValue$$
    {25, 386, -140},	// QGLShaderProgram::setAttributeValue$$$
    {25, 387, -143},	// QGLShaderProgram::setAttributeValue$$$$
    {25, 388, -148},	// QGLShaderProgram::setAttributeValue$$$$$
    {25, 424, 362},	// QGLShaderProgram::setGeometryInputType$
    {25, 426, 364},	// QGLShaderProgram::setGeometryOutputType$
    {25, 428, 360},	// QGLShaderProgram::setGeometryOutputVertexCount$
    {25, 472, -151},	// QGLShaderProgram::setUniformValue$#
    {25, 473, -172},	// QGLShaderProgram::setUniformValue$$
    {25, 474, -185},	// QGLShaderProgram::setUniformValue$$$
    {25, 475, -188},	// QGLShaderProgram::setUniformValue$$$$
    {25, 476, -191},	// QGLShaderProgram::setUniformValue$$$$$
    {25, 477, -194},	// QGLShaderProgram::setUniformValue$?
    {25, 479, -211},	// QGLShaderProgram::setUniformValueArray$#$
    {25, 480, -220},	// QGLShaderProgram::setUniformValueArray$$$
    {25, 481, -225},	// QGLShaderProgram::setUniformValueArray$$$$
    {25, 482, -228},	// QGLShaderProgram::setUniformValueArray$?$
    {25, 494, 347},	// QGLShaderProgram::shaders
    {25, 499, 511},	// QGLShaderProgram::staticMetaObject
    {25, 515, 494},	// QGLShaderProgram::tr$
    {25, 516, 338},	// QGLShaderProgram::tr$$
    {25, 517, 340},	// QGLShaderProgram::tr$$$
    {25, 519, 495},	// QGLShaderProgram::trUtf8$
    {25, 520, 339},	// QGLShaderProgram::trUtf8$$
    {25, 521, 341},	// QGLShaderProgram::trUtf8$$$
    {25, 527, 407},	// QGLShaderProgram::uniformLocation#
    {25, 528, -245},	// QGLShaderProgram::uniformLocation$
    {25, 549, 512},	// QGLShaderProgram::~QGLShaderProgram
    {26, 104, 572},	// QGLWidget::QGLWidget
    {26, 105, -13},	// QGLWidget::QGLWidget#
    {26, 106, -17},	// QGLWidget::QGLWidget##
    {26, 107, -21},	// QGLWidget::QGLWidget###
    {26, 108, -24},	// QGLWidget::QGLWidget###$
    {26, 109, 520},	// QGLWidget::QGLWidget##$
    {26, 147, 564},	// QGLWidget::autoBufferSwap
    {26, 154, -27},	// QGLWidget::bindTexture#
    {26, 155, -30},	// QGLWidget::bindTexture#$
    {26, 156, -33},	// QGLWidget::bindTexture#$$
    {26, 157, -36},	// QGLWidget::bindTexture#$$$
    {26, 158, 550},	// QGLWidget::bindTexture$
    {26, 175, 541},	// QGLWidget::colormap
    {26, 182, 533},	// QGLWidget::context
    {26, 185, 539},	// QGLWidget::convertToGLFormat#
    {26, 194, 551},	// QGLWidget::deleteTexture$
    {26, 206, 528},	// QGLWidget::doneCurrent
    {26, 207, 529},	// QGLWidget::doubleBuffer
    {26, 212, -39},	// QGLWidget::drawTexture#$
    {26, 213, -42},	// QGLWidget::drawTexture#$$
    {26, 224, 556},	// QGLWidget::event#
    {26, 235, 597},	// QGLWidget::fontDisplayListBase#
    {26, 236, 569},	// QGLWidget::fontDisplayListBase#$
    {26, 237, 531},	// QGLWidget::format
    {26, 246, 568},	// QGLWidget::glDraw
    {26, 247, 567},	// QGLWidget::glInit
    {26, 248, 586},	// QGLWidget::grabFrameBuffer
    {26, 249, 536},	// QGLWidget::grabFrameBuffer$
    {26, 265, 557},	// QGLWidget::initializeGL
    {26, 266, 560},	// QGLWidget::initializeOverlayGL
    {26, 276, 526},	// QGLWidget::isSharing
    {26, 277, 525},	// QGLWidget::isValid
    {26, 285, 527},	// QGLWidget::makeCurrent
    {26, 286, 537},	// QGLWidget::makeOverlayCurrent
    {26, 290, 513},	// QGLWidget::metaObject
    {26, 314, 538},	// QGLWidget::overlayContext
    {26, 316, 545},	// QGLWidget::paintEngine
    {26, 318, 565},	// QGLWidget::paintEvent#
    {26, 319, 559},	// QGLWidget::paintGL
    {26, 320, 562},	// QGLWidget::paintOverlayGL
    {26, 326, 524},	// QGLWidget::qglClearColor#
    {26, 328, 523},	// QGLWidget::qglColor#
    {26, 330, 519},	// QGLWidget::qt_metacall$$?
    {26, 332, 514},	// QGLWidget::qt_metacast$
    {26, 342, 583},	// QGLWidget::renderPixmap
    {26, 343, 584},	// QGLWidget::renderPixmap$
    {26, 344, 585},	// QGLWidget::renderPixmap$$
    {26, 345, 535},	// QGLWidget::renderPixmap$$$
    {26, 347, 587},	// QGLWidget::renderText$$$
    {26, 348, 588},	// QGLWidget::renderText$$$#
    {26, 349, 543},	// QGLWidget::renderText$$$#$
    {26, 350, 589},	// QGLWidget::renderText$$$$
    {26, 351, 590},	// QGLWidget::renderText$$$$#
    {26, 352, 544},	// QGLWidget::renderText$$$$#$
    {26, 356, 566},	// QGLWidget::resizeEvent#
    {26, 358, 558},	// QGLWidget::resizeGL$$
    {26, 360, 561},	// QGLWidget::resizeOverlayGL$$
    {26, 390, 563},	// QGLWidget::setAutoBufferSwap$
    {26, 394, 542},	// QGLWidget::setColormap#
    {26, 396, 581},	// QGLWidget::setContext#
    {26, 397, 582},	// QGLWidget::setContext##
    {26, 398, 534},	// QGLWidget::setContext##$
    {26, 422, 532},	// QGLWidget::setFormat#
    {26, 440, 540},	// QGLWidget::setMouseTracking$
    {26, 499, 598},	// QGLWidget::staticMetaObject
    {26, 504, 530},	// QGLWidget::swapBuffers
    {26, 515, 570},	// QGLWidget::tr$
    {26, 516, 515},	// QGLWidget::tr$$
    {26, 517, 517},	// QGLWidget::tr$$$
    {26, 519, 571},	// QGLWidget::trUtf8$
    {26, 520, 516},	// QGLWidget::trUtf8$$
    {26, 521, 518},	// QGLWidget::trUtf8$$$
    {26, 532, 554},	// QGLWidget::updateGL
    {26, 533, 555},	// QGLWidget::updateOverlayGL
    {26, 550, 599},	// QGLWidget::~QGLWidget
    {27, 27, 620},	// QGlobalSpace::KHRONOS_BOOLEAN_ENUM_FORCE_SIZE
    {27, 28, 618},	// QGlobalSpace::KHRONOS_FALSE
    {27, 29, 619},	// QGlobalSpace::KHRONOS_TRUE
    {27, 304, 610},	// QGlobalSpace::operator!=##
    {27, 306, 600},	// QGlobalSpace::operator<<##
    {27, 311, 613},	// QGlobalSpace::operator==##
    {27, 313, -51},	// QGlobalSpace::operator|$$
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtgui_Smoke();

static bool initialized = false;
Smoke *qtopengl_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_qtopengl_Smoke() {
    init_qtcore_Smoke();
    init_qtgui_Smoke();
    if (initialized) return;
    qtopengl_Smoke = new Smoke(
        "qtopengl",
        __smokeqtopengl::classes, 62,
        __smokeqtopengl::methods, 667,
        __smokeqtopengl::methodMaps, 468,
        __smokeqtopengl::methodNames, 550,
        __smokeqtopengl::types, 228,
        __smokeqtopengl::inheritanceList,
        __smokeqtopengl::argumentList,
        __smokeqtopengl::ambiguousMethodList,
        __smokeqtopengl::cast );
    initialized = true;
}

void delete_qtopengl_Smoke() { delete qtopengl_Smoke; }

}
